import os
import os.path as op
import sys
import glob

import matplotlib.pyplot as plt

def plotDamageCurve(asset, colors, xlabel, ylabel, xlim, loc= 'lower right'):
    
	fig, ax = plt.subplots(1, figsize=(15, 3))

	for pkey, key in enumerate(asset.keys()):
		ax.plot(asset[key][0], asset[key][1], label=key, c=colors[pkey])

	ax.set_ylabel(xlabel, fontsize=12)
	ax.set_xlabel(ylabel, fontsize=12)
	ax.set_xlim(xlim)
	ax.legend(fontsize=9, ncol=1, loc=loc, labelcolor='dimgrey')

	plt.show()

def damage_curves():

	dam_buildings_flood = {
	'Single Story Timber Frame/Uninhabitable or Poor Construction':[[0,0.4, 0.5, 0.6, 1, 1.5, 2, 2.5, 3, 5, 10], [0,0,0.01,0.02, 0.1,0.3, 0.75, 0.87, 0.94, 1, 1]],
	'Multi-Story Timber Frame with Closed-Under/Multi-Story Timber Frame with Open-Under':[[0,0.4, 0.5, 0.6, 1, 1.5, 2, 2.5, 3, 5, 10], [0, 0, 0.005,0.01, 0.05,0.15, 0.375, 0.435, 0.47, 1, 1]],
	'Single Story Masonry/Concrete/Multi-Story Masonry/Single Story Steel Frame': [[0, 1, 1.5, 2, 2.5, 3, 5, 10], [0, 0,0.04, 0.08, 0.14, 0.18, 1, 1]],
	'Open Walled Structure with Wooden Pole Frame (Fale)/Open Walled Structure with Non-Wooden Pole Frame':[[0, 1, 1.5, 2, 2.5, 3, 5, 10], [0, 0,0.04, 0.08, 0.14, 0.18, 1, 1]],
	'Multi-Story Masonry/Concrete/Multi-Story Steel Frame': [[0, 1, 1.5, 2, 2.5, 3, 5, 10], [0, 0,0.02, 0.04, 0.07, 0.09, 1, 1]],
	'Single Story Combination Masonry/Concrete & Timber Frame': [[0,0.5, 0.6,1, 1.5, 2, 2.5, 3, 5, 10], [0, 0,0.002, 0.01, 0.066, 0.14,0.21,0.256, 1, 1]],
	'Multi-Story Combination Masonry/Concrete & Timber Frame': [[0,0.4,0.5, 0.6,1, 1.5, 2, 2.5, 3, 5, 10], [0, 0,0.0005,0.001, 0.005, 0.033, 0.0735,0.1065,0.128, 1, 1]],
	'Traditional': [[0,0.4,0.5, 0.6,1, 1.5, 2, 2.5, 3, 5, 10], [0,0,0.0008,0.016, 0.08, 0.24, 0.6,0.696,0.752, 1, 1]],
	'Other Single Story': [[0,0.4,0.5, 0.6,1, 1.5, 2, 2.5, 3, 5, 10], [0,0,0.0008,0.0016, 0.008, 0.0528, 0.11,0.177,0.21, 1, 1]],
	'Other Multi-Story': [[0,0.4,0.5, 0.6,1, 1.5, 2, 2.5, 3, 5, 10], [0,0,0.0004,0.0008, 0.004, 0.0264, 0.0588,0.0852,0.10, 1, 1]]
    
    }
	
	dam_crops_flood = {
	'Squash/Taro/Cassava/Yam': [[0, 0.25, 0.5, 0.75, 1, 1.5, 2, 2.5, 3, 5, 10], [0, 0.05, 0.15, 0.35, 0.50, 0.65, 0.75, 0.9, 1, 1, 1]],
	'Banana/Cocoa/Coconut/Coconut Crops/Coconut Plantation/Nut Tree/Oil Palm': [[0, 0.25, 0.5, 1, 1.5, 2, 2.5, 3, 5, 10], [0, 0.01, 0.15, 0.20, 0.3, 0.4, 0.5, 0.65, 1, 1]],
    'Vanilla/Plantation/Mix Crops': [[0, 0.25, 0.5, 0.75, 1, 1.5, 2, 2.5, 3, 4, 5], [0, 0.15, 0.24, 0.47, 0.62, 0.71, 0.82, 0.91, 1, 1, 1]],

	}

	dam_specials_flood = {
	'Port Jetty/Wharf/Pier/Harbour': [[0,0.2,0.4,0.6,0.8,1,1.2,1.4,1.6,1.8,2,2.2,2.4,2.6,2.8,3,3.2,3.4,3.6,3.8,4,4.2,4.4,4.6,4.8,5], 
        [0,0.00004,0.0005,0.00169,0.00466,0.0099,0.01461,0.0218,0.03506,0.05221,0.0698,0.08336,0.10672,0.12038,0.1253,0.13179,0.14054,0.15103,0.17084,0.19306,0.21233,0.23101,0.24711,0.26405,0.28184,0.2959]],
	'Electricity Transformer/Generator Backup/Power Plant': [[0,0.2,0.4,0.6,0.8,1,1.2,1.4,1.6,1.8,2,2.2,2.4,2.6,2.8,3,3.2,3.4,3.6,3.8,4,4.2,4.4,4.6,4.8,5], [0,0.00006,0.00119,0.00553,0.03283,0.07789,0.14292,0.21005,0.29666,0.34977,0.40811,0.466,0.49515,0.51579,0.53318,0.54289,0.54921,0.55283,0.55676,0.55992,0.56336,0.56681,0.57026,0.5737,0.57715,0.5806]],
	'Storage Tank': [[0,0.2,0.4,0.6,0.8,1,1.2,1.4,1.6,1.8,2,2.2,2.4,2.6,2.8,3,3.2,3.4,3.6,3.8,4,4.2,4.4,4.6,4.8,5], [0,0,0,0,0.015,0.035,0.045,0.06,0.07,0.085,0.095,0.11,0.125,0.19046,0.26,0.275,0.295,0.315,0.34,0.365,0.385,0.405,0.425,0.445,0.465,0.485]],
	'Telecommunication': [[0,0.2,0.4,0.6,0.8,1,1.2,1.4,1.6,1.8,2,2.2,2.4,2.6,2.8,3,3.2,3.4,3.6,3.8,4,4.2,4.4,4.6,4.8,5], [0,0,0,0,0,0.01,0.01,0.01,0.01,0.02,0.02,0.02,0.03,0.03,0.03,0.04,0.04,0.04,0.04,0.05,0.05,0.05,0.05,0.05,0.05,0.05]],
	'Water Tower / Pump Station / Intake / Gauge': [[0,0.2,0.4,0.6,0.8,1,1.2,1.4,1.6,1.8,2,2.2,2.4,2.6,2.8,3,3.2,3.4,3.6,3.8,4,4.2,4.4,4.6,4.8,5], [0,0.00023,0.0027,0.00877,0.02493,0.05157,0.09419,0.15244,0.24083,0.31372,0.37516,0.43045,0.4595,0.47854,0.49624,0.5097,0.5148,0.51961,0.5234,0.52631,0.52863,0.53096,0.53328,0.53561,0.53793,0.54026]],
	'Bus Terminal': [[0,0.5, 1, 1.5, 2, 3, 4, 5, 6, 100], [0,0.22,0.43,0.58,0.67, 0.79, 0.89, 0.97, 1, 1]],
	'Airport International / Airport Medium': [[0,0.5, 1, 1.5, 2, 3, 4, 5, 6, 100], [0,0.22,0.43,0.58,0.67, 0.79, 0.89, 0.97, 1, 1]],


    }
	
	dam_buildings_wind = {
        
        'Single Story Timber Frame': [[17.88,18.327,18.774,19.221,19.668,20.115,20.562,21.009,21.456,21.903,22.35,22.797,23.244,23.691,24.138,24.585,25.032,25.479,25.926,26.373,26.82,27.267,27.714,28.161,28.608,29.055,29.502,29.949,30.396,30.843,31.29,31.737,32.184,32.631,33.078,33.525,33.972,34.419,34.866,35.313,35.76,36.207,36.654,37.101,37.548,37.995,38.442,38.889,39.336,39.783,40.23,40.677,41.124,41.571,42.018,42.465,42.912,43.359,43.806,44.253,44.7,45.147,45.594,46.041,46.488,46.935,47.382,47.829,48.276,48.723,49.17,49.617,50.064,50.511,50.958,51.405,51.852,52.299,52.746,53.193,53.64,54.087,54.534,54.981,55.428,55.875,56.322,56.769,57.216,57.663,58.11,58.557,59.004,59.451,59.898,60.345,60.792,61.239,61.686,62.133,62.58,63.027,63.474,63.921,64.368,64.815,65.262,65.709,66.156,66.603,67.05,67.497,67.944,68.391,68.838,69.285,69.732,70.179,70.626,71.073,71.52,71.967,72.414,72.861,73.308,73.755,74.202,74.649,75.096,75.543,75.99,76.437,76.884,77.331,77.778,78.225,78.672,79.119,79.566,80.013,80.46,80.907,81.354,81.801,82.248,82.695,83.142,83.589,84.036,84.483,84.93,85.377,85.824, 86.271,86.718,87.165,87.612,88.059,88.506,88.953,89.4], 
                                      [0.00085,0.00095,0.00105,0.00117,0.00129,0.00142,0.00157,0.00173,0.0019,0.00209,0.0023,0.00252,0.00276,0.00304,0.00332,0.00364,0.00397,0.00433,0.00472,0.00515,0.00557,0.00599,0.00644,0.00693,0.00744,0.00798,0.00855,0.00915,0.00978,0.01045,0.01115,0.01179,0.01247,0.01317,0.01393,0.01475,0.01573,0.01697,0.01842,0.01996,0.02162,0.02341,0.02533,0.0274,0.02961,0.03199,0.03454,0.03727,0.04019,0.04332,0.04667,0.05026,0.05409,0.05819,0.06256,0.06723,0.07221,0.07753,0.08319,0.08898,0.09611,0.10377,0.11198,0.1208,0.13025,0.14038,0.15124,0.16288,0.17535,0.18869,0.20298,0.21826,0.2346,0.25207,0.27209,0.29418,0.31794,0.3435,0.37099,0.40052,0.43229,0.45735,0.47761,0.49718,0.5161,0.53442,0.55218,0.56943,0.58621,0.60256,0.61851,0.6341,0.64933,0.6642,0.67871,0.69283,0.7064,0.71963,0.73253,0.7451,0.75737,0.76936,0.78107,0.79254,0.8038,0.81486,0.82574,0.83645,0.84703,0.85748,0.86782,0.87806,0.88821,0.89827,0.90823,0.91811,0.9279,0.9376,0.9472,0.9567,0.96624,0.97584,0.98549,0.99519,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1]],
                                      
        'Multi-Story Timber Frame with Closed-Under': [[17.88,18.327,18.774,19.221,19.668,20.115,20.562,21.009,21.456,21.903,22.35,22.797,23.244,23.691,24.138,24.585,25.032,25.479,25.926,26.373,26.82,27.267,27.714,28.161,28.608,29.055,29.502,29.949,30.396,30.843,31.29,31.737,32.184,32.631,33.078,33.525,33.972,34.419,34.866,35.313,35.76,36.207,36.654,37.101,37.548,37.995,38.442,38.889,39.336,39.783,40.23,40.677,41.124,41.571,42.018,42.465,42.912,43.359,43.806,44.253,44.7,45.147,45.594,46.041,46.488,46.935,47.382,47.829,48.276,48.723,49.17,49.617,50.064,50.511,50.958,51.405,51.852,52.299,52.746,53.193,53.64,54.087,54.534,54.981,55.428,55.875,56.322,56.769,57.216,57.663,58.11,58.557,59.004,59.451,59.898,60.345,60.792,61.239,61.686,62.133,62.58,63.027,63.474,63.921,64.368,64.815,65.262,65.709,66.156,66.603,67.05,67.497,67.944,68.391,68.838,69.285,69.732,70.179,70.626,71.073,71.52,71.967,72.414,72.861,73.308,73.755,74.202,74.649,75.096,75.543,75.99,76.437,76.884,77.331,77.778,78.225,78.672,79.119,79.566,80.013,80.46,80.907,81.354,81.801,82.248,82.695,83.142,83.589,84.036,84.483,84.93,85.377,85.824,86.271,86.718,87.165,87.612,88.059,88.506,88.953,89.4],
[0.00022,0.00026,0.0003,0.00034,0.00039,0.00044,0.0005,0.00057,0.00064,0.00072,0.0008,0.00089,0.00099,0.0011,0.00122,0.00135,0.0015,0.00166,0.00183,0.00202,0.00224,0.00246,0.00269,0.00299,0.00327,0.00359,0.00391,0.00426,0.00464,0.00509,0.00551,0.00589,0.00634,0.00681,0.0073,0.00781,0.00834,0.00889,0.00946,0.01006,0.01068,0.01136,0.01207,0.01283,0.01369,0.0145,0.01546,0.01667,0.0181,0.01961,0.02124,0.023,0.02489,0.02692,0.0291,0.03143,0.03394,0.03662,0.03949,0.04257,0.04587,0.04939,0.05315,0.05718,0.06147,0.06606,0.07096,0.07617,0.08172,0.08738,0.09434,0.1018,0.10979,0.11837,0.12758,0.13748,0.14812,0.15955,0.17183,0.18504,0.19923,0.21446,0.23077,0.2482,0.26811,0.28999,0.31343,0.33849,0.36527,0.39383,0.4243,0.44789,0.46659,0.48455,0.50194,0.5189,0.5356,0.55218,0.56877,0.5855,0.60249,0.61982,0.63736,0.65495,0.67246,0.68942,0.70385,0.71787,0.73146,0.74464,0.75737,0.76968,0.7816,0.79318,0.80445,0.81546,0.82625,0.83684,0.84728,0.8576,0.86782,0.87798,0.88808,0.89811,0.90808,0.91797,0.92779,0.93752,0.94716,0.95669,0.96626,0.97601,0.98581,0.99566,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1]],

        'Multi-Story Timber Frame with Open-Under':
                [[17.88,18.327,18.774,19.221,19.668,20.115,20.562,21.009,21.456,21.903,22.35,22.797,23.244,23.691,24.138,24.585,25.032,25.479,25.926,26.373,26.82,27.267,27.714,28.161,28.608,29.055,29.502,29.949,30.396,30.843,31.29,31.737,32.184,32.631,33.078,33.525,33.972,34.419,34.866,35.313,35.76,36.207,36.654,37.101,37.548,37.995,38.442,38.889,39.336,39.783,40.23,40.677,41.124,41.571,42.018,42.465,42.912,43.359,43.806,44.253,44.7,45.147,45.594,46.041,46.488,46.935,47.382,47.829,48.276,48.723,49.17,49.617,50.064,50.511,50.958,51.405,51.852,52.299,52.746,53.193,53.64,54.087,54.534,54.981,55.428,55.875,56.322,56.769,57.216,57.663,58.11,58.557,59.004,59.451,59.898,60.345,60.792,61.239,61.686,62.133,62.58,63.027,63.474,63.921,64.368,64.815,65.262,65.709,66.156,66.603,67.05,67.497,67.944,68.391,68.838,69.285,69.732,70.179,70.626,71.073,71.52,71.967,72.414,72.861,73.308,73.755,74.202,74.649,75.096,75.543,75.99,76.437,76.884,77.331,77.778,78.225,78.672,79.119,79.566,80.013,80.46,80.907,81.354,81.801,82.248,82.695,83.142,83.589,84.036,84.483,84.93,85.377,85.824,86.271,86.718,87.165,87.612,88.059,88.506,88.953,89.4],
                [0.00022,0.00026,0.0003,0.00034,0.00039,0.00044,0.0005,0.00057,0.00064,0.00072,0.0008,0.00089,0.00099,0.0011,0.00122,0.00135,0.0015,0.00166,0.00183,0.00202,0.00224,0.00246,0.00269,0.00299,0.00327,0.00359,0.00391,0.00426,0.00464,0.00509,0.00551,0.00589,0.00634,0.00681,0.0073,0.00781,0.00834,0.00889,0.00946,0.01006,0.01068,0.01136,0.01207,0.01283,0.01369,0.0145,0.01546,0.01667,0.0181,0.01961,0.02124,0.023,0.02489,0.02692,0.0291,0.03143,0.03394,0.03662,0.03949,0.04257,0.04587,0.04939,0.05315,0.05718,0.06147,0.06606,0.07096,0.07617,0.08172,0.08738,0.09434,0.1018,0.10979,0.11837,0.12758,0.13748,0.14812,0.15955,0.17183,0.18504,0.19923,0.21446,0.23077,0.2482,0.26811,0.28999,0.31343,0.33849,0.36527,0.39383,0.4243,0.44789,0.46659,0.48455,0.50194,0.5189,0.5356,0.55218,0.56877,0.5855,0.60249,0.61982,0.63736,0.65495,0.67246,0.68942,0.70385,0.71787,0.73146,0.74464,0.75737,0.76968,0.7816,0.79318,0.80445,0.81546,0.82625,0.83684,0.84728,0.8576,0.86782,0.87798,0.88808,0.89811,0.90808,0.91797,0.92779,0.93752,0.94716,0.95669,0.96626,0.97601,0.98581,0.99566,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1]],
        
        'Single Story Masonry/Concrete':
                [[17.88,18.327,18.774,19.221,19.668,20.115,20.562,21.009,21.456,21.903,22.35,22.797,23.244,23.691,24.138,24.585,25.032,25.479,25.926,26.373,26.82,27.267,27.714,28.161,28.608,29.055,29.502,29.949,30.396,30.843,31.29,31.737,32.184,32.631,33.078,33.525,33.972,34.419,34.866,35.313,35.76,36.207,36.654,37.101,37.548,37.995,38.442,38.889,39.336,39.783,40.23,40.677,41.124,41.571,42.018,42.465,42.912,43.359,43.806,44.253,44.7,45.147,45.594,46.041,46.488,46.935,47.382,47.829,48.276,48.723,49.17,49.617,50.064,50.511,50.958,51.405,51.852,52.299,52.746,53.193,53.64,54.087,54.534,54.981,55.428,55.875,56.322,56.769,57.216,57.663,58.11,58.557,59.004,59.451,59.898,60.345,60.792,61.239,61.686,62.133,62.58,63.027,63.474,63.921,64.368,64.815,65.262,65.709,66.156,66.603,67.05,67.497,67.944,68.391,68.838,69.285,69.732,70.179,70.626,71.073,71.52,71.967,72.414,72.861,73.308,73.755,74.202,74.649,75.096,75.543,75.99,76.437,76.884,77.331,77.778,78.225,78.672,79.119,79.566,80.013,80.46,80.907,81.354,81.801,82.248,82.695,83.142,83.589,84.036,84.483,84.93,85.377,85.824,86.271,86.718,87.165,87.612,88.059,88.506,88.953,89.4],
                [0.00011,0.00013,0.00015,0.00018,0.00021,0.00024,0.00027,0.00031,0.00035,0.0004,0.00045,0.0005,0.00057,0.00063,0.0007,0.00078,0.00087,0.00096,0.00106,0.00116,0.00128,0.0014,0.00154,0.00169,0.00185,0.00203,0.00222,0.00243,0.00266,0.00291,0.00317,0.00346,0.00377,0.00406,0.00438,0.00472,0.00507,0.00545,0.00585,0.00628,0.00673,0.0072,0.0077,0.00823,0.00869,0.00916,0.00973,0.01045,0.01109,0.01183,0.01275,0.01382,0.01497,0.0162,0.01753,0.01896,0.02049,0.02215,0.02392,0.02583,0.02788,0.03008,0.03244,0.03497,0.03768,0.04058,0.04367,0.04697,0.05047,0.0542,0.05816,0.06236,0.06643,0.07124,0.07672,0.08203,0.08805,0.09422,0.10077,0.10714,0.11455,0.12181,0.12955,0.13784,0.14669,0.15612,0.16611,0.17754,0.19003,0.20325,0.21722,0.23195,0.24746,0.26377,0.27875,0.29299,0.30761,0.3226,0.33818,0.35448,0.37166,0.38983,0.40916,0.42978,0.45179,0.47499,0.49915,0.52181,0.54248,0.56264,0.57981,0.59773,0.61525,0.6318,0.64897,0.66511,0.68071,0.69574,0.71015,0.72391,0.73698,0.7493,0.76129,0.7732,0.78504,0.79682,0.80859,0.82035,0.8321,0.84385,0.85558,0.86732,0.87904,0.89069,0.90196,0.9132,0.92256,0.93004,0.93738,0.9446,0.9489,0.95264,0.95615,0.95828,0.95992,0.96149,0.96304,0.96453,0.96596,0.96732,0.96871,0.97003,0.97128,0.97243,0.97358,0.97473,0.97589,0.97704,0.97819,0.97934,0.98049]],

            'Multi-Story Masonry/Concrete' :
                [[17.88,18.327,18.774,19.221,19.668,20.115,20.562,21.009,21.456,21.903,22.35,22.797,23.244,23.691,24.138,24.585,25.032,25.479,25.926,26.373,26.82,27.267,27.714,28.161,28.608,29.055,29.502,29.949,30.396,30.843,31.29,31.737,32.184,32.631,33.078,33.525,33.972,34.419,34.866,35.313,35.76,36.207,36.654,37.101,37.548,37.995,38.442,38.889,39.336,39.783,40.23,40.677,41.124,41.571,42.018,42.465,42.912,43.359,43.806,44.253,44.7,45.147,45.594,46.041,46.488,46.935,47.382,47.829,48.276,48.723,49.17,49.617,50.064,50.511,50.958,51.405,51.852,52.299,52.746,53.193,53.64,54.087,54.534,54.981,55.428,55.875,56.322,56.769,57.216,57.663,58.11,58.557,59.004,59.451,59.898,60.345,60.792,61.239,61.686,62.133,62.58,63.027,63.474,63.921,64.368,64.815,65.262,65.709,66.156,66.603,67.05,67.497,67.944,68.391,68.838,69.285,69.732,70.179,70.626,71.073,71.52,71.967,72.414,72.861,73.308,73.755,74.202,74.649,75.096,75.543,75.99,76.437,76.884,77.331,77.778,78.225,78.672,79.119,79.566,80.013,80.46,80.907,81.354,81.801,82.248,82.695,83.142,83.589,84.036,84.483,84.93,85.377,85.824,86.271,86.718,87.165,87.612,88.059,88.506,88.953,89.4],
                [0.00033,0.00038,0.00042,0.00048,0.00053,0.00059,0.00066,0.00074,0.00082,0.0009,0.001,0.00111,0.00122,0.00135,0.00149,0.00164,0.0018,0.00197,0.00216,0.00236,0.00256,0.00278,0.00301,0.00326,0.00353,0.00381,0.00412,0.00445,0.0048,0.00517,0.00556,0.00596,0.00638,0.0068,0.00724,0.00773,0.00827,0.00891,0.00962,0.01038,0.01119,0.01206,0.01299,0.01398,0.01496,0.01601,0.01717,0.0185,0.01982,0.02128,0.02293,0.02475,0.0267,0.02879,0.03104,0.03344,0.03601,0.03876,0.0417,0.04478,0.04835,0.05219,0.0563,0.06072,0.06545,0.07052,0.07594,0.08174,0.08794,0.09455,0.1016,0.10913,0.11688,0.12549,0.13533,0.14568,0.15702,0.16901,0.18184,0.19516,0.20987,0.22247,0.23397,0.24564,0.25752,0.26961,0.28193,0.29511,0.30888,0.32304,0.33761,0.3526,0.36802,0.3839,0.39873,0.41294,0.42725,0.44171,0.45648,0.47167,0.48737,0.50369,0.52073,0.53861,0.55739,0.57695,0.59712,0.6162,0.63385,0.65109,0.66622,0.68183,0.69713,0.71174,0.72675,0.74101,0.75487,0.7683,0.78127,0.79375,0.80576,0.81727,0.82855,0.8398,0.84953,0.85778,0.86601,0.87425,0.88247,0.89069,0.89891,0.90712,0.91533,0.92348,0.93137,0.93924,0.94579,0.95102,0.95617,0.96122,0.96423,0.96685,0.9693,0.9708,0.97194,0.97304,0.97413,0.97517,0.97617,0.97713,0.97809,0.97902,0.9799,0.9807,0.98151,0.98231,0.98312,0.98393,0.98473,0.98554,0.98634]],

            'Multi-Story Steel Frame':
                [[17.88,18.327,18.774,19.221,19.668,20.115,20.562,21.009,21.456,21.903,22.35,22.797,23.244,23.691,24.138,24.585,25.032,25.479,25.926,26.373,26.82,27.267,27.714,28.161,28.608,29.055,29.502,29.949,30.396,30.843,31.29,31.737,32.184,32.631,33.078,33.525,33.972,34.419,34.866,35.313,35.76,36.207,36.654,37.101,37.548,37.995,38.442,38.889,39.336,39.783,40.23,40.677,41.124,41.571,42.018,42.465,42.912,43.359,43.806,44.253,44.7,45.147,45.594,46.041,46.488,46.935,47.382,47.829,48.276,48.723,49.17,49.617,50.064,50.511,50.958,51.405,51.852,52.299,52.746,53.193,53.64,54.087,54.534,54.981,55.428,55.875,56.322,56.769,57.216,57.663,58.11,58.557,59.004,59.451,59.898,60.345,60.792,61.239,61.686,62.133,62.58,63.027,63.474,63.921,64.368,64.815,65.262,65.709,66.156,66.603,67.05,67.497,67.944,68.391,68.838,69.285,69.732,70.179,70.626,71.073,71.52,71.967,72.414,72.861,73.308,73.755,74.202,74.649,75.096,75.543,75.99,76.437,76.884,77.331,77.778,78.225,78.672,79.119,79.566,80.013,80.46,80.907,81.354,81.801,82.248,82.695,83.142,83.589,84.036,84.483,84.93,85.377,85.824,86.271,86.718,87.165,87.612,88.059,88.506,88.953,89.4],
                [0.00014,0.00016,0.00019,0.00022,0.00026,0.0003,0.00035,0.0004,0.00045,0.00052,0.00059,0.00066,0.00075,0.00084,0.00094,0.00105,0.00117,0.0013,0.00144,0.00159,0.00176,0.00193,0.00212,0.00233,0.00256,0.00281,0.00308,0.00338,0.0037,0.00405,0.00443,0.00484,0.00528,0.00576,0.00627,0.00676,0.00729,0.00785,0.00844,0.00908,0.00974,0.01045,0.0112,0.01199,0.01282,0.0137,0.01462,0.01559,0.01661,0.01769,0.01893,0.02018,0.02176,0.02362,0.02561,0.02773,0.03003,0.0325,0.03515,0.03799,0.04104,0.04431,0.04781,0.05156,0.05558,0.05988,0.06447,0.06939,0.07464,0.08025,0.08624,0.09263,0.09945,0.10672,0.11416,0.12331,0.13314,0.14369,0.15501,0.16714,0.18015,0.19409,0.20901,0.225,0.24211,0.26041,0.27999,0.30092,0.3233,0.34894,0.37725,0.40773,0.44053,0.47581,0.51377,0.55461,0.5869,0.61304,0.63829,0.66268,0.68625,0.70903,0.73107,0.75241,0.77307,0.7931,0.81252,0.83139,0.84972,0.86818,0.88678,0.90551,0.92438,0.94338,0.96252,0.98179,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1]],

            'Open Walled Structure with Non-Wooden Pole Frame':
                [[17.88,18.327,18.774,19.221,19.668,20.115,20.562,21.009,21.456,21.903,22.35,22.797,23.244,23.691,24.138,24.585,25.032,25.479,25.926,26.373,26.82,27.267,27.714,28.161,28.608,29.055,29.502,29.949,30.396,30.843,31.29,31.737,32.184,32.631,33.078,33.525,33.972,34.419,34.866,35.313,35.76,36.207,36.654,37.101,37.548,37.995,38.442,38.889,39.336,39.783,40.23,40.677,41.124,41.571,42.018,42.465,42.912,43.359,43.806,44.253,44.7,45.147,45.594,46.041,46.488,46.935,47.382,47.829,48.276,48.723,49.17,49.617,50.064,50.511,50.958,51.405,51.852,52.299,52.746,53.193,53.64,54.087,54.534,54.981,55.428,55.875,56.322,56.769,57.216,57.663,58.11,58.557,59.004,59.451,59.898,60.345,60.792,61.239,61.686,62.133,62.58,63.027,63.474,63.921,64.368,64.815,65.262,65.709,66.156,66.603,67.05,67.497,67.944,68.391,68.838,69.285,69.732,70.179,70.626,71.073,71.52,71.967,72.414,72.861,73.308,73.755,74.202,74.649,75.096,75.543,75.99,76.437,76.884,77.331,77.778,78.225,78.672,79.119,79.566,80.013,80.46,80.907,81.354,81.801,82.248,82.695,83.142,83.589,84.036,84.483,84.93,85.377,85.824,86.271,86.718,87.165,87.612,88.059,88.506,88.953,89.4],
                [0.00014,0.00016,0.00019,0.00022,0.00026,0.0003,0.00035,0.0004,0.00045,0.00052,0.00059,0.00066,0.00075,0.00084,0.00094,0.00105,0.00117,0.0013,0.00144,0.00159,0.00176,0.00193,0.00212,0.00233,0.00256,0.00281,0.00308,0.00338,0.0037,0.00405,0.00443,0.00484,0.00528,0.00576,0.00627,0.00676,0.00729,0.00785,0.00844,0.00908,0.00974,0.01045,0.0112,0.01199,0.01282,0.0137,0.01462,0.01559,0.01661,0.01769,0.01893,0.02018,0.02176,0.02362,0.02561,0.02773,0.03003,0.0325,0.03515,0.03799,0.04104,0.04431,0.04781,0.05156,0.05558,0.05988,0.06447,0.06939,0.07464,0.08025,0.08624,0.09263,0.09945,0.10672,0.11416,0.12331,0.13314,0.14369,0.15501,0.16714,0.18015,0.19409,0.20901,0.225,0.24211,0.26041,0.27999,0.30092,0.3233,0.34894,0.37725,0.40773,0.44053,0.47581,0.51377,0.55461,0.5869,0.61304,0.63829,0.66268,0.68625,0.70903,0.73107,0.75241,0.77307,0.7931,0.81252,0.83139,0.84972,0.86818,0.88678,0.90551,0.92438,0.94338,0.96252,0.98179,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1]],

            'Single Story Combination Masonry/Concrete & Timber Frame' :
                [[17.88,18.327,18.774,19.221,19.668,20.115,20.562,21.009,21.456,21.903,22.35,22.797,23.244,23.691,24.138,24.585,25.032,25.479,25.926,26.373,26.82,27.267,27.714,28.161,28.608,29.055,29.502,29.949,30.396,30.843,31.29,31.737,32.184,32.631,33.078,33.525,33.972,34.419,34.866,35.313,35.76,36.207,36.654,37.101,37.548,37.995,38.442,38.889,39.336,39.783,40.23,40.677,41.124,41.571,42.018,42.465,42.912,43.359,43.806,44.253,44.7,45.147,45.594,46.041,46.488,46.935,47.382,47.829,48.276,48.723,49.17,49.617,50.064,50.511,50.958,51.405,51.852,52.299,52.746,53.193,53.64,54.087,54.534,54.981,55.428,55.875,56.322,56.769,57.216,57.663,58.11,58.557,59.004,59.451,59.898,60.345,60.792,61.239,61.686,62.133,62.58,63.027,63.474,63.921,64.368,64.815,65.262,65.709,66.156,66.603,67.05,67.497,67.944,68.391,68.838,69.285,69.732,70.179,70.626,71.073,71.52,71.967,72.414,72.861,73.308,73.755,74.202,74.649,75.096,75.543,75.99,76.437,76.884,77.331,77.778,78.225,78.672,79.119,79.566,80.013,80.46,80.907,81.354,81.801,82.248,82.695,83.142,83.589,84.036,84.483,84.93,85.377,85.824,86.271,86.718,87.165,87.612,88.059,88.506,88.953,89.4],
                [0.00033,0.00038,0.00042,0.00048,0.00053,0.00059,0.00066,0.00074,0.00082,0.0009,0.001,0.00111,0.00122,0.00135,0.00149,0.00164,0.0018,0.00197,0.00216,0.00236,0.00256,0.00278,0.00301,0.00326,0.00353,0.00381,0.00412,0.00445,0.0048,0.00517,0.00556,0.00596,0.00638,0.0068,0.00724,0.00773,0.00827,0.00891,0.00962,0.01038,0.01119,0.01206,0.01299,0.01398,0.01496,0.01601,0.01717,0.0185,0.01982,0.02128,0.02293,0.02475,0.0267,0.02879,0.03104,0.03344,0.03601,0.03876,0.0417,0.04478,0.04835,0.05219,0.0563,0.06072,0.06545,0.07052,0.07594,0.08174,0.08794,0.09455,0.1016,0.10913,0.11688,0.12549,0.13533,0.14568,0.15702,0.16901,0.18184,0.19516,0.20987,0.22247,0.23397,0.24564,0.25752,0.26961,0.28193,0.29511,0.30888,0.32304,0.33761,0.3526,0.36802,0.3839,0.39873,0.41294,0.42725,0.44171,0.45648,0.47167,0.48737,0.50369,0.52073,0.53861,0.55739,0.57695,0.59712,0.6162,0.63385,0.65109,0.66622,0.68183,0.69713,0.71174,0.72675,0.74101,0.75487,0.7683,0.78127,0.79375,0.80576,0.81727,0.82855,0.8398,0.84953,0.85778,0.86601,0.87425,0.88247,0.89069,0.89891,0.90712,0.91533,0.92348,0.93137,0.93924,0.94579,0.95102,0.95617,0.96122,0.96423,0.96685,0.9693,0.9708,0.97194,0.97304,0.97413,0.97517,0.97617,0.97713,0.97809,0.97902,0.9799,0.9807,0.98151,0.98231,0.98312,0.98393,0.98473,0.98554,0.98634]],

            'Single Story Steel Frame':
                [[17.88,18.327,18.774,19.221,19.668,20.115,20.562,21.009,21.456,21.903,22.35,22.797,23.244,23.691,24.138,24.585,25.032,25.479,25.926,26.373,26.82,27.267,27.714,28.161,28.608,29.055,29.502,29.949,30.396,30.843,31.29,31.737,32.184,32.631,33.078,33.525,33.972,34.419,34.866,35.313,35.76,36.207,36.654,37.101,37.548,37.995,38.442,38.889,39.336,39.783,40.23,40.677,41.124,41.571,42.018,42.465,42.912,43.359,43.806,44.253,44.7,45.147,45.594,46.041,46.488,46.935,47.382,47.829,48.276,48.723,49.17,49.617,50.064,50.511,50.958,51.405,51.852,52.299,52.746,53.193,53.64,54.087,54.534,54.981,55.428,55.875,56.322,56.769,57.216,57.663,58.11,58.557,59.004,59.451,59.898,60.345,60.792,61.239,61.686,62.133,62.58,63.027,63.474,63.921,64.368,64.815,65.262,65.709,66.156,66.603,67.05,67.497,67.944,68.391,68.838,69.285,69.732,70.179,70.626,71.073,71.52,71.967,72.414,72.861,73.308,73.755,74.202,74.649,75.096,75.543,75.99,76.437,76.884,77.331,77.778,78.225,78.672,79.119,79.566,80.013,80.46,80.907,81.354,81.801,82.248,82.695,83.142,83.589,84.036,84.483,84.93,85.377,85.824,86.271,86.718,87.165,87.612,88.059,88.506,88.953,89.4],
                [0.00004,0.00006,0.00007,0.00009,0.00011,0.00014,0.00016,0.00019,0.00022,0.00026,0.0003,0.00035,0.0004,0.00045,0.00052,0.00059,0.00066,0.00075,0.00084,0.00094,0.00105,0.00117,0.0013,0.00144,0.00159,0.00176,0.00193,0.00212,0.00233,0.00256,0.00281,0.00308,0.00338,0.0037,0.00405,0.00443,0.00484,0.00528,0.00576,0.00627,0.00676,0.00729,0.00785,0.00844,0.00908,0.00974,0.01045,0.0112,0.01199,0.01282,0.0137,0.01462,0.01559,0.01661,0.01769,0.01893,0.02018,0.02176,0.02362,0.02561,0.02773,0.03003,0.0325,0.03515,0.03799,0.04104,0.04431,0.04781,0.05156,0.05558,0.05988,0.06447,0.06939,0.07464,0.08025,0.08624,0.09263,0.09945,0.10672,0.11416,0.12331,0.13314,0.14369,0.15501,0.16714,0.18015,0.19409,0.20901,0.225,0.24211,0.26041,0.27999,0.30092,0.3233,0.34894,0.37725,0.40773,0.44053,0.47581,0.51377,0.55461,0.5869,0.61304,0.63829,0.66268,0.68625,0.70903,0.73107,0.75241,0.77307,0.7931,0.81252,0.83139,0.84972,0.86818,0.88678,0.90551,0.92438,0.94338,0.96252,0.98179,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1]],

            'Multi-Story Combination Masonry/Concrete & Timber Frame':
                [[17.88,18.327,18.774,19.221,19.668,20.115,20.562,21.009,21.456,21.903,22.35,22.797,23.244,23.691,24.138,24.585,25.032,25.479,25.926,26.373,26.82,27.267,27.714,28.161,28.608,29.055,29.502,29.949,30.396,30.843,31.29,31.737,32.184,32.631,33.078,33.525,33.972,34.419,34.866,35.313,35.76,36.207,36.654,37.101,37.548,37.995,38.442,38.889,39.336,39.783,40.23,40.677,41.124,41.571,42.018,42.465,42.912,43.359,43.806,44.253,44.7,45.147,45.594,46.041,46.488,46.935,47.382,47.829,48.276,48.723,49.17,49.617,50.064,50.511,50.958,51.405,51.852,52.299,52.746,53.193,53.64,54.087,54.534,54.981,55.428,55.875,56.322,56.769,57.216,57.663,58.11,58.557,59.004,59.451,59.898,60.345,60.792,61.239,61.686,62.133,62.58,63.027,63.474,63.921,64.368,64.815,65.262,65.709,66.156,66.603,67.05,67.497,67.944,68.391,68.838,69.285,69.732,70.179,70.626,71.073,71.52,71.967,72.414,72.861,73.308,73.755,74.202,74.649,75.096,75.543,75.99,76.437,76.884,77.331,77.778,78.225,78.672,79.119,79.566,80.013,80.46,80.907,81.354,81.801,82.248,82.695,83.142,83.589,84.036,84.483,84.93,85.377,85.824,86.271,86.718,87.165,87.612,88.059,88.506,88.953,89.4],
                [0.00004,0.00006,0.00007,0.00009,0.00011,0.00014,0.00016,0.00019,0.00022,0.00026,0.0003,0.00035,0.0004,0.00045,0.00052,0.00059,0.00066,0.00075,0.00084,0.00094,0.00105,0.00117,0.0013,0.00144,0.00159,0.00176,0.00193,0.00212,0.00233,0.00256,0.00281,0.00308,0.00338,0.0037,0.00405,0.00443,0.00484,0.00528,0.00576,0.00627,0.00676,0.00729,0.00785,0.00844,0.00908,0.00974,0.01045,0.0112,0.01199,0.01282,0.0137,0.01462,0.01559,0.01661,0.01769,0.01893,0.02018,0.02176,0.02362,0.02561,0.02773,0.03003,0.0325,0.03515,0.03799,0.04104,0.04431,0.04781,0.05156,0.05558,0.05988,0.06447,0.06939,0.07464,0.08025,0.08624,0.09263,0.09945,0.10672,0.11416,0.12331,0.13314,0.14369,0.15501,0.16714,0.18015,0.19409,0.20901,0.225,0.24211,0.26041,0.27999,0.30092,0.3233,0.34894,0.37725,0.40773,0.44053,0.47581,0.51377,0.55461,0.5869,0.61304,0.63829,0.66268,0.68625,0.70903,0.73107,0.75241,0.77307,0.7931,0.81252,0.83139,0.84972,0.86818,0.88678,0.90551,0.92438,0.94338,0.96252,0.98179,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1]],

            'Traditional':
                [[17.88,18.327,18.774,19.221,19.668,20.115,20.562,21.009,21.456,21.903,22.35,22.797,23.244,23.691,24.138,24.585,25.032,25.479,25.926,26.373,26.82,27.267,27.714,28.161,28.608,29.055,29.502,29.949,30.396,30.843,31.29,31.737,32.184,32.631,33.078,33.525,33.972,34.419,34.866,35.313,35.76,36.207,36.654,37.101,37.548,37.995,38.442,38.889,39.336,39.783,40.23,40.677,41.124,41.571,42.018,42.465,42.912,43.359,43.806,44.253,44.7,45.147,45.594,46.041,46.488,46.935,47.382,47.829,48.276,48.723,49.17,49.617,50.064,50.511,50.958,51.405,51.852,52.299,52.746,53.193,53.64,54.087,54.534,54.981,55.428,55.875,56.322,56.769,57.216,57.663,58.11,58.557,59.004,59.451,59.898,60.345,60.792,61.239,61.686,62.133,62.58,63.027,63.474,63.921,64.368,64.815,65.262,65.709,66.156,66.603,67.05,67.497,67.944,68.391,68.838,69.285,69.732,70.179,70.626,71.073,71.52,71.967,72.414,72.861,73.308,73.755,74.202,74.649,75.096,75.543,75.99,76.437,76.884,77.331,77.778,78.225,78.672,79.119,79.566,80.013,80.46,80.907,81.354,81.801,82.248,82.695,83.142,83.589,84.036,84.483,84.93,85.377,85.824,86.271,86.718,87.165,87.612,88.059,88.506,88.953,89.4],
                [0.00026,0.00029,0.00033,0.00038,0.00042,0.00048,0.00053,0.00059,0.00066,0.00074,0.00082,0.00091,0.001,0.00111,0.00123,0.00135,0.00149,0.00163,0.00179,0.00196,0.00213,0.00232,0.00252,0.00274,0.00297,0.00322,0.00349,0.00378,0.00408,0.00442,0.00477,0.00513,0.00551,0.00589,0.00629,0.00672,0.0072,0.00776,0.00837,0.00901,0.0097,0.01044,0.01123,0.01206,0.01287,0.01373,0.01469,0.01582,0.01691,0.01813,0.01953,0.02111,0.02279,0.0246,0.02653,0.02861,0.03084,0.03322,0.03578,0.03846,0.04153,0.04482,0.04835,0.05214,0.0562,0.06054,0.06519,0.07015,0.07545,0.0811,0.08712,0.09354,0.10006,0.1074,0.11579,0.12446,0.13403,0.14408,0.15481,0.16582,0.1781,0.18892,0.19917,0.20971,0.22057,0.23178,0.24332,0.25592,0.26927,0.28311,0.29748,0.31238,0.32784,0.34386,0.35874,0.37296,0.38737,0.40201,0.41705,0.43261,0.4488,0.46574,0.48354,0.50234,0.52219,0.54296,0.56446,0.58474,0.60339,0.62161,0.63741,0.65379,0.66984,0.68509,0.70082,0.71571,0.73015,0.74411,0.75756,0.77047,0.78283,0.79461,0.80613,0.8176,0.82803,0.83746,0.84687,0.85628,0.86568,0.87508,0.88447,0.89385,0.90324,0.91255,0.92157,0.93056,0.93805,0.94403,0.94991,0.95568,0.95912,0.96212,0.96492,0.96662,0.96794,0.96919,0.97043,0.97162,0.97277,0.97386,0.97497,0.97603,0.97703,0.97795,0.97887,0.97979,0.98071,0.98163,0.98255,0.98347,0.98439]],

            'Other Single Story':
                [[17.88,18.327,18.774,19.221,19.668,20.115,20.562,21.009,21.456,21.903,22.35,22.797,23.244,23.691,24.138,24.585,25.032,25.479,25.926,26.373,26.82,27.267,27.714,28.161,28.608,29.055,29.502,29.949,30.396,30.843,31.29,31.737,32.184,32.631,33.078,33.525,33.972,34.419,34.866,35.313,35.76,36.207,36.654,37.101,37.548,37.995,38.442,38.889,39.336,39.783,40.23,40.677,41.124,41.571,42.018,42.465,42.912,43.359,43.806,44.253,44.7,45.147,45.594,46.041,46.488,46.935,47.382,47.829,48.276,48.723,49.17,49.617,50.064,50.511,50.958,51.405,51.852,52.299,52.746,53.193,53.64,54.087,54.534,54.981,55.428,55.875,56.322,56.769,57.216,57.663,58.11,58.557,59.004,59.451,59.898,60.345,60.792,61.239,61.686,62.133,62.58,63.027,63.474,63.921,64.368,64.815,65.262,65.709,66.156,66.603,67.05,67.497,67.944,68.391,68.838,69.285,69.732,70.179,70.626,71.073,71.52,71.967,72.414,72.861,73.308,73.755,74.202,74.649,75.096,75.543,75.99,76.437,76.884,77.331,77.778,78.225,78.672,79.119,79.566,80.013,80.46,80.907,81.354,81.801,82.248,82.695,83.142,83.589,84.036,84.483,84.93,85.377,85.824,86.271,86.718,87.165,87.612,88.059,88.506,88.953,89.4],
                [0.00026,0.00029,0.00033,0.00038,0.00042,0.00048,0.00053,0.00059,0.00066,0.00074,0.00082,0.00091,0.001,0.00111,0.00123,0.00135,0.00149,0.00163,0.00179,0.00196,0.00213,0.00232,0.00252,0.00274,0.00297,0.00322,0.00349,0.00378,0.00408,0.00442,0.00477,0.00513,0.00551,0.00589,0.00629,0.00672,0.0072,0.00776,0.00837,0.00901,0.0097,0.01044,0.01123,0.01206,0.01287,0.01373,0.01469,0.01582,0.01691,0.01813,0.01953,0.02111,0.02279,0.0246,0.02653,0.02861,0.03084,0.03322,0.03578,0.03846,0.04153,0.04482,0.04835,0.05214,0.0562,0.06054,0.06519,0.07015,0.07545,0.0811,0.08712,0.09354,0.10006,0.1074,0.11579,0.12446,0.13403,0.14408,0.15481,0.16582,0.1781,0.18892,0.19917,0.20971,0.22057,0.23178,0.24332,0.25592,0.26927,0.28311,0.29748,0.31238,0.32784,0.34386,0.35874,0.37296,0.38737,0.40201,0.41705,0.43261,0.4488,0.46574,0.48354,0.50234,0.52219,0.54296,0.56446,0.58474,0.60339,0.62161,0.63741,0.65379,0.66984,0.68509,0.70082,0.71571,0.73015,0.74411,0.75756,0.77047,0.78283,0.79461,0.80613,0.8176,0.82803,0.83746,0.84687,0.85628,0.86568,0.87508,0.88447,0.89385,0.90324,0.91255,0.92157,0.93056,0.93805,0.94403,0.94991,0.95568,0.95912,0.96212,0.96492,0.96662,0.96794,0.96919,0.97043,0.97162,0.97277,0.97386,0.97497,0.97603,0.97703,0.97795,0.97887,0.97979,0.98071,0.98163,0.98255,0.98347,0.98439]],

            'Other Multi-Story':
                [[17.88,18.327,18.774,19.221,19.668,20.115,20.562,21.009,21.456,21.903,22.35,22.797,23.244,23.691,24.138,24.585,25.032,25.479,25.926,26.373,26.82,27.267,27.714,28.161,28.608,29.055,29.502,29.949,30.396,30.843,31.29,31.737,32.184,32.631,33.078,33.525,33.972,34.419,34.866,35.313,35.76,36.207,36.654,37.101,37.548,37.995,38.442,38.889,39.336,39.783,40.23,40.677,41.124,41.571,42.018,42.465,42.912,43.359,43.806,44.253,44.7,45.147,45.594,46.041,46.488,46.935,47.382,47.829,48.276,48.723,49.17,49.617,50.064,50.511,50.958,51.405,51.852,52.299,52.746,53.193,53.64,54.087,54.534,54.981,55.428,55.875,56.322,56.769,57.216,57.663,58.11,58.557,59.004,59.451,59.898,60.345,60.792,61.239,61.686,62.133,62.58,63.027,63.474,63.921,64.368,64.815,65.262,65.709,66.156,66.603,67.05,67.497,67.944,68.391,68.838,69.285,69.732,70.179,70.626,71.073,71.52,71.967,72.414,72.861,73.308,73.755,74.202,74.649,75.096,75.543,75.99,76.437,76.884,77.331,77.778,78.225,78.672,79.119,79.566,80.013,80.46,80.907,81.354,81.801,82.248,82.695,83.142,83.589,84.036,84.483,84.93,85.377,85.824,86.271,86.718,87.165,87.612,88.059,88.506,88.953,89.4],
                [0.00023,0.00025,0.00028,0.00031,0.00035,0.00038,0.00043,0.00047,0.00052,0.00057,0.00063,0.0007,0.00077,0.00085,0.00093,0.00102,0.00112,0.00123,0.00134,0.00147,0.00159,0.00172,0.00186,0.00202,0.00218,0.00236,0.00255,0.00275,0.00297,0.0032,0.00345,0.00369,0.00394,0.00421,0.00449,0.0048,0.00514,0.00556,0.00603,0.00653,0.00708,0.00767,0.00831,0.009,0.00975,0.01055,0.01143,0.01237,0.01339,0.01447,0.01563,0.01687,0.01818,0.01957,0.02104,0.02261,0.02427,0.02603,0.02789,0.02981,0.03209,0.03455,0.0372,0.04005,0.04313,0.04645,0.05002,0.05387,0.05799,0.06239,0.06705,0.07199,0.07721,0.0827,0.08882,0.09536,0.10251,0.11007,0.11809,0.12661,0.13567,0.14306,0.14926,0.1553,0.16122,0.16701,0.17272,0.17835,0.18392,0.18944,0.19512,0.20087,0.20663,0.21238,0.21813,0.22388,0.22959,0.23533,0.24111,0.24698,0.25297,0.25913,0.26548,0.27208,0.27896,0.28616,0.29373,0.3017,0.31004,0.31872,0.3277,0.33694,0.34641,0.35606,0.36584,0.37572,0.38564,0.39558,0.40557,0.41568,0.42598,0.43654,0.44742,0.45868,0.46915,0.4789,0.48921,0.5001,0.51151,0.52332,0.53543,0.54773,0.56011,0.57246,0.58466,0.5966,0.60815,0.61923,0.62984,0.64002,0.64979,0.65921,0.66829,0.67708,0.68562,0.69395,0.7021,0.71011,0.71799,0.72578,0.73348,0.74111,0.74869,0.75624,0.76377,0.77131,0.77887,0.78643,0.794,0.80156,0.80912]],

            'Uninhabitable or Poor Construction':
                [[17.88,18.327,18.774,19.221,19.668,20.115,20.562,21.009,21.456,21.903,22.35,22.797,23.244,23.691,24.138,24.585,25.032,25.479,25.926,26.373,26.82,27.267,27.714,28.161,28.608,29.055,29.502,29.949,30.396,30.843,31.29,31.737,32.184,32.631,33.078,33.525,33.972,34.419,34.866,35.313,35.76,36.207,36.654,37.101,37.548,37.995,38.442,38.889,39.336,39.783,40.23,40.677,41.124,41.571,42.018,42.465,42.912,43.359,43.806,44.253,44.7,45.147,45.594,46.041,46.488,46.935,47.382,47.829,48.276,48.723,49.17,49.617,50.064,50.511,50.958,51.405,51.852,52.299,52.746,53.193,53.64,54.087,54.534,54.981,55.428,55.875,56.322,56.769,57.216,57.663,58.11,58.557,59.004,59.451,59.898,60.345,60.792,61.239,61.686,62.133,62.58,63.027,63.474,63.921,64.368,64.815,65.262,65.709,66.156,66.603,67.05,67.497,67.944,68.391,68.838,69.285,69.732,70.179,70.626,71.073,71.52,71.967,72.414,72.861,73.308,73.755,74.202,74.649,75.096,75.543,75.99,76.437,76.884,77.331,77.778,78.225,78.672,79.119,79.566,80.013,80.46,80.907,81.354,81.801,82.248,82.695,83.142,83.589,84.036,84.483,84.93,85.377,85.824,86.271,86.718,87.165,87.612,88.059,88.506,88.953,89.4],
                [0.00157,0.00173,0.0019,0.00209,0.0023,0.00252,0.00276,0.00304,0.00332,0.00364,0.00397,0.00433,0.00472,0.00515,0.00557,0.00599,0.00644,0.00693,0.00744,0.00798,0.00855,0.00915,0.00978,0.01045,0.01115,0.01179,0.01247,0.01317,0.01393,0.01475,0.01573,0.01697,0.01842,0.01996,0.02162,0.02341,0.02533,0.0274,0.02961,0.03199,0.03454,0.03727,0.04019,0.04332,0.04667,0.05026,0.05409,0.05819,0.06256,0.06723,0.07221,0.07753,0.08319,0.08898,0.09611,0.10377,0.11198,0.1208,0.13025,0.14038,0.15124,0.16288,0.17535,0.18869,0.20298,0.21826,0.2346,0.25207,0.27209,0.29418,0.31794,0.3435,0.37099,0.40052,0.43229,0.45735,0.47761,0.49718,0.5161,0.53442,0.55218,0.56943,0.58621,0.60256,0.61851,0.6341,0.64933,0.6642,0.67871,0.69283,0.7064,0.71963,0.73253,0.7451,0.75737,0.76936,0.78107,0.79254,0.8038,0.81486,0.82574,0.83645,0.84703,0.85748,0.86782,0.87806,0.88821,0.89827,0.90823,0.91811,0.9279,0.9376,0.9472,0.9567,0.96624,0.97584,0.98549,0.99519,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1]],

            'Open Walled Structure with Wooden Pole Frame (Fale)':
                [[17.88,18.327,18.774,19.221,19.668,20.115,20.562,21.009,21.456,21.903,22.35,22.797,23.244,23.691,24.138,24.585,25.032,25.479,25.926,26.373,26.82,27.267,27.714,28.161,28.608,29.055,29.502,29.949,30.396,30.843,31.29,31.737,32.184,32.631,33.078,33.525,33.972,34.419,34.866,35.313,35.76,36.207,36.654,37.101,37.548,37.995,38.442,38.889,39.336,39.783,40.23,40.677,41.124,41.571,42.018,42.465,42.912,43.359,43.806,44.253,44.7,45.147,45.594,46.041,46.488,46.935,47.382,47.829,48.276,48.723,49.17,49.617,50.064,50.511,50.958,51.405,51.852,52.299,52.746,53.193,53.64,54.087,54.534,54.981,55.428,55.875,56.322,56.769,57.216,57.663,58.11,58.557,59.004,59.451,59.898,60.345,60.792,61.239,61.686,62.133,62.58,63.027,63.474,63.921,64.368,64.815,65.262,65.709,66.156,66.603,67.05,67.497,67.944,68.391,68.838,69.285,69.732,70.179,70.626,71.073,71.52,71.967,72.414,72.861,73.308,73.755,74.202,74.649,75.096,75.543,75.99,76.437,76.884,77.331,77.778,78.225,78.672,79.119,79.566,80.013,80.46,80.907,81.354,81.801,82.248,82.695,83.142,83.589,84.036,84.483,84.93,85.377,85.824,86.271,86.718,87.165,87.612,88.059,88.506,88.953,89.4],
                [0.00201,0.0023,0.00262,0.00297,0.00337,0.0038,0.00427,0.00479,0.00535,0.00596,0.00662,0.00734,0.00812,0.00896,0.00988,0.01088,0.01195,0.01313,0.01446,0.01586,0.01736,0.0191,0.0209,0.02287,0.02499,0.02726,0.02971,0.0324,0.03501,0.03765,0.04054,0.04359,0.04681,0.05021,0.05379,0.05756,0.06154,0.06572,0.07011,0.07418,0.07843,0.08286,0.08762,0.09281,0.09894,0.10673,0.11585,0.12557,0.136,0.152,0.168,0.176,0.192,0.216,0.232,0.256,0.28,0.304,0.328,0.36,0.392,0.424,0.464,0.504,0.544,0.592,0.6318,0.64897,0.66511,0.68071,0.69574,0.71015,0.72391,0.73698,0.7493,0.76129,0.7732,0.78504,0.79682,0.80859,0.82035,0.8321,0.84385,0.85558,0.86732,0.87904,0.89069,0.90233,0.91398,0.92562,0.93726,0.94891,0.96055,0.97219,0.98384,0.99548,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1]],
    }

	dam_specials_wind = {
                'PORT':
                    [[17.88,18.327,18.774,19.221,19.668,20.115,20.562,21.009,21.456,21.903,22.35,22.797,23.244,23.691,24.138,24.585,25.032,25.479,25.926,26.373,26.82,27.267,27.714,28.161,28.608,29.055,29.502,29.949,30.396,30.843,31.29,31.737,32.184,32.631,33.078,33.525,33.972,34.419,34.866,35.313,35.76,36.207,36.654,37.101,37.548,37.995,38.442,38.889,39.336,39.783,40.23,40.677,41.124,41.571,42.018,42.465,42.912,43.359,43.806,44.253,44.7,45.147,45.594,46.041,46.488,46.935,47.382,47.829,48.276,48.723,49.17,49.617,50.064,50.511,50.958,51.405,51.852,52.299,52.746,53.193,53.64,54.087,54.534,54.981,55.428,55.875,56.322,56.769,57.216,57.663,58.11,58.557,59.004,59.451,59.898,60.345,60.792,61.239,61.686,62.133,62.58,63.027,63.474,63.921,64.368,64.815,65.262,65.709,66.156,66.603,67.05,67.497,67.944,68.391,68.838,69.285,69.732,70.179,70.626,71.073,71.52,71.967,72.414,72.861,73.308,73.755,74.202,74.649,75.096,75.543,75.99,76.437,76.884,77.331,77.778,78.225,78.672,79.119,79.566,80.013,80.46,80.907,81.354,81.801,82.248,82.695,83.142,83.589,84.036,84.483,84.93,85.377,85.824,86.271,86.718,87.165,87.612,88.059,88.506,88.953,89.4],
                    [0.00003,0.00004,0.00005,0.00007,0.00008,0.00009,0.00011,0.00013,0.00016,0.00018,0.0002,0.00024,0.00028,0.00031,0.00035,0.00039,0.00045,0.00051,0.00058,0.00064,0.0007,0.00079,0.00089,0.00098,0.00108,0.00117,0.00131,0.00145,0.00159,0.00173,0.00187,0.00209,0.0023,0.00252,0.00273,0.00295,0.00327,0.00359,0.00391,0.00423,0.00451,0.00492,0.00532,0.00572,0.00611,0.00649,0.00704,0.00758,0.00811,0.00863,0.00913,0.00973,0.01031,0.01088,0.01144,0.01198,0.01313,0.01419,0.0152,0.01622,0.01716,0.0187,0.02019,0.02163,0.02301,0.02435,0.02643,0.02844,0.03037,0.03222,0.03393,0.03661,0.03917,0.04161,0.04394,0.04631,0.04995,0.05346,0.05684,0.05991,0.06371,0.06928,0.07477,0.08019,0.08553,0.09103,0.09895,0.10681,0.11459,0.1223,0.12994,0.14089,0.15173,0.16247,0.17397,0.18585,0.20247,0.21917,0.23594,0.25279,0.27462,0.29111,0.30804,0.32541,0.34324,0.36153,0.37709,0.393,0.40928,0.42592,0.44293,0.45817,0.47372,0.48957,0.50574,0.5211,0.53504,0.54921,0.56361,0.57824,0.59127,0.60321,0.61529,0.62752,0.63892,0.64946,0.65918,0.66898,0.67886,0.68882,0.69817,0.70689,0.71567,0.72487,0.73304,0.74126,0.74892,0.75662,0.76436,0.77213,0.77994,0.78714,0.79437,0.80164,0.80893,0.81626,0.82275,0.82927,0.83581,0.84238,0.84559,0.84772,0.84985,0.85197,0.8541,0.85623,0.85744,0.85864,0.85985,0.86106,0.86227]],

                'ELECTRICITY':
                    [[17.88,18.327,18.774,19.221,19.668,20.115,20.562,21.009,21.456,21.903,22.35,22.797,23.244,23.691,24.138,24.585,25.032,25.479,25.926,26.373,26.82,27.267,27.714,28.161,28.608,29.055,29.502,29.949,30.396,30.843,31.29,31.737,32.184,32.631,33.078,33.525,33.972,34.419,34.866,35.313,35.76,36.207,36.654,37.101,37.548,37.995,38.442,38.889,39.336,39.783,40.23,40.677,41.124,41.571,42.018,42.465,42.912,43.359,43.806,44.253,44.7,45.147,45.594,46.041,46.488,46.935,47.382,47.829,48.276,48.723,49.17,49.617,50.064,50.511,50.958,51.405,51.852,52.299,52.746,53.193,53.64,54.087,54.534,54.981,55.428,55.875,56.322,56.769,57.216,57.663,58.11,58.557,59.004,59.451,59.898,60.345,60.792,61.239,61.686,62.133,62.58,63.027,63.474,63.921,64.368,64.815,65.262,65.709,66.156,66.603,67.05,67.497,67.944,68.391,68.838,69.285,69.732,70.179,70.626,71.073,71.52,71.967,72.414,72.861,73.308,73.755,74.202,74.649,75.096,75.543,75.99,76.437,76.884,77.331,77.778,78.225,78.672,79.119,79.566,80.013,80.46,80.907,81.354,81.801,82.248,82.695,83.142,83.589,84.036,84.483,84.93,85.377,85.824,86.271,86.718,87.165,87.612,88.059,88.506,88.953,89.4],
                    [0.00004,0.00005,0.00006,0.00008,0.0001,0.00012,0.00014,0.00016,0.00018,0.0002,0.00022,0.00025,0.00027,0.00029,0.00031,0.00034,0.00036,0.00038,0.00041,0.00043,0.00045,0.00048,0.0005,0.00053,0.00058,0.00065,0.00076,0.00091,0.00111,0.00136,0.00167,0.00202,0.00243,0.0029,0.00341,0.00399,0.00461,0.00528,0.00598,0.00672,0.00748,0.00826,0.00907,0.00992,0.0108,0.01173,0.01272,0.01377,0.01489,0.01608,0.01734,0.01867,0.02007,0.02154,0.02311,0.02479,0.02658,0.02849,0.03053,0.0327,0.03499,0.03739,0.03991,0.04255,0.04532,0.04825,0.05135,0.05461,0.05803,0.06159,0.06527,0.06907,0.07302,0.07712,0.08139,0.08587,0.09055,0.09544,0.10053,0.10581,0.11126,0.11689,0.1227,0.12871,0.13492,0.14131,0.14787,0.15457,0.16139,0.16828,0.17523,0.18225,0.18932,0.19645,0.20366,0.21091,0.2182,0.2255,0.23282,0.24015,0.24748,0.25483,0.26218,0.26954,0.27688,0.28419,0.29143,0.2986,0.30568,0.31267,0.31957,0.32637,0.33308,0.33968,0.34618,0.35257,0.35886,0.36503,0.3711,0.37708,0.38297,0.38878,0.39452,0.4002,0.40587,0.41157,0.41734,0.42321,0.42923,0.4354,0.44174,0.44822,0.4547,0.4608,0.46631,0.47119,0.47556,0.47952,0.4832,0.48667,0.49001,0.49334,0.49667,0.50001,0.50334,0.50667,0.51001,0.51334,0.51667,0.52001,0.52334,0.52667,0.53001,0.53334,0.53667,0.54001,0.54334,0.54667,0.55001,0.55334,0.55667]],

                'STORAGE TANK':
                    [[17.88,18.327,18.774,19.221,19.668,20.115,20.562,21.009,21.456,21.903,22.35,22.797,23.244,23.691,24.138,24.585,25.032,25.479,25.926,26.373,26.82,27.267,27.714,28.161,28.608,29.055,29.502,29.949,30.396,30.843,31.29,31.737,32.184,32.631,33.078,33.525,33.972,34.419,34.866,35.313,35.76,36.207,36.654,37.101,37.548,37.995,38.442,38.889,39.336,39.783,40.23,40.677,41.124,41.571,42.018,42.465,42.912,43.359,43.806,44.253,44.7,45.147,45.594,46.041,46.488,46.935,47.382,47.829,48.276,48.723,49.17,49.617,50.064,50.511,50.958,51.405,51.852,52.299,52.746,53.193,53.64,54.087,54.534,54.981,55.428,55.875,56.322,56.769,57.216,57.663,58.11,58.557,59.004,59.451,59.898,60.345,60.792,61.239,61.686,62.133,62.58,63.027,63.474,63.921,64.368,64.815,65.262,65.709,66.156,66.603,67.05,67.497,67.944,68.391,68.838,69.285,69.732,70.179,70.626,71.073,71.52,71.967,72.414,72.861,73.308,73.755,74.202,74.649,75.096,75.543,75.99,76.437,76.884,77.331,77.778,78.225,78.672,79.119,79.566,80.013,80.46,80.907,81.354,81.801,82.248,82.695,83.142,83.589,84.036,84.483,84.93,85.377,85.824,86.271,86.718,87.165,87.612,88.059,88.506,88.953,89.4],
                    [0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0.00011,0.00013,0.00016,0.00019,0.00022,0.00025,0.00028,0.00033,0.00038,0.00044,0.00049,0.00054,0.0006,0.00066,0.00071,0.00077,0.00083,0.00095,0.00106,0.00118,0.0013,0.00141,0.00152,0.00163,0.00174,0.00184,0.00195,0.00206,0.00218,0.00229,0.0024,0.00251,0.00267,0.00283,0.00299,0.00315,0.00331,0.00349,0.00367,0.00385,0.00402,0.0042,0.00442,0.00464,0.00486,0.00508,0.0053,0.00546,0.00562,0.00578,0.00594,0.0061,0.0064,0.0067,0.007,0.0073,0.0076,0.00795,0.00829,0.00864,0.00899,0.00933,0.00987,0.01041,0.01095,0.01149,0.01202,0.0125,0.01297,0.01345,0.01393,0.0144,0.0149,0.0154,0.0159,0.0164,0.0169,0.01766,0.01842,0.01918,0.01994,0.0207,0.02146,0.02222,0.02298,0.02374,0.0245,0.02562,0.02674,0.02786,0.02898,0.0301,0.03148,0.03286,0.03424,0.03562,0.037,0.03876,0.04052,0.04228,0.04404,0.0458,0.04842,0.05104,0.05366,0.05628,0.0589,0.06152,0.06414,0.06676,0.06938,0.072,0.07462,0.07724,0.07986,0.08248,0.0851,0.08772,0.09034,0.09296,0.09558,0.0982,0.10082,0.10344,0.10606,0.10868,0.1113]],

                'TELECOMMUNICATION':
                    [[17.88,18.327,18.774,19.221,19.668,20.115,20.562,21.009,21.456,21.903,22.35,22.797,23.244,23.691,24.138,24.585,25.032,25.479,25.926,26.373,26.82,27.267,27.714,28.161,28.608,29.055,29.502,29.949,30.396,30.843,31.29,31.737,32.184,32.631,33.078,33.525,33.972,34.419,34.866,35.313,35.76,36.207,36.654,37.101,37.548,37.995,38.442,38.889,39.336,39.783,40.23,40.677,41.124,41.571,42.018,42.465,42.912,43.359,43.806,44.253,44.7,45.147,45.594,46.041,46.488,46.935,47.382,47.829,48.276,48.723,49.17,49.617,50.064,50.511,50.958,51.405,51.852,52.299,52.746,53.193,53.64,54.087,54.534,54.981,55.428,55.875,56.322,56.769,57.216,57.663,58.11,58.557,59.004,59.451,59.898,60.345,60.792,61.239,61.686,62.133,62.58,63.027,63.474,63.921,64.368,64.815,65.262,65.709,66.156,66.603,67.05,67.497,67.944,68.391,68.838,69.285,69.732,70.179,70.626,71.073,71.52,71.967,72.414,72.861,73.308,73.755,74.202,74.649,75.096,75.543,75.99,76.437,76.884,77.331,77.778,78.225,78.672,79.119,79.566,80.013,80.46,80.907,81.354,81.801,82.248,82.695,83.142,83.589,84.036,84.483,84.93,85.377,85.824,86.271,86.718,87.165,87.612,88.059,88.506,88.953,89.4],
                    [0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0.00001,0.00001,0.00001,0.00001,0.00001,0.00001,0.00002,0.00002,0.00002,0.00003,0.00003,0.00004,0.00004,0.00005,0.00005,0.00006,0.00008,0.00009,0.0001,0.00011,0.00013,0.00014,0.00016,0.00017,0.00019,0.00022,0.00025,0.00028,0.0003,0.00033,0.00036,0.00038,0.00041,0.00043,0.00045,0.00048,0.00051,0.00053,0.00056,0.00058,0.00062,0.00065,0.00069,0.00072,0.00075,0.00078,0.00082,0.00085,0.00088,0.00092,0.00096,0.001,0.00104,0.00108,0.00113,0.00119,0.00126,0.00132,0.00138,0.00145,0.00153,0.00161,0.00169,0.00177,0.00185,0.00195,0.00204,0.00214,0.00225,0.00236,0.0025,0.00263,0.00277,0.00291,0.00311,0.00333,0.00356,0.0038,0.00404,0.00429,0.00456,0.00485,0.00513,0.00543,0.00573,0.00615,0.00657,0.007,0.00745,0.00789,0.00838,0.00887,0.00938,0.0099,0.0104,0.01099,0.01159,0.01219,0.01279,0.01338,0.01404,0.01471,0.01539,0.01608,0.01676,0.01756,0.01837,0.0192,0.02,0.02082,0.0219,0.02299,0.02409,0.0252,0.02632,0.02758,0.02885,0.03013,0.03142,0.03272,0.03444,0.03618,0.03793,0.03969,0.0413,0.04305,0.0448,0.04655,0.0483,0.05005,0.05243,0.05481,0.05719,0.05957,0.06195]],

                'WATER':
                    [[17.88,18.327,18.774,19.221,19.668,20.115,20.562,21.009,21.456,21.903,22.35,22.797,23.244,23.691,24.138,24.585,25.032,25.479,25.926,26.373,26.82,27.267,27.714,28.161,28.608,29.055,29.502,29.949,30.396,30.843,31.29,31.737,32.184,32.631,33.078,33.525,33.972,34.419,34.866,35.313,35.76,36.207,36.654,37.101,37.548,37.995,38.442,38.889,39.336,39.783,40.23,40.677,41.124,41.571,42.018,42.465,42.912,43.359,43.806,44.253,44.7,45.147,45.594,46.041,46.488,46.935,47.382,47.829,48.276,48.723,49.17,49.617,50.064,50.511,50.958,51.405,51.852,52.299,52.746,53.193,53.64,54.087,54.534,54.981,55.428,55.875,56.322,56.769,57.216,57.663,58.11,58.557,59.004,59.451,59.898,60.345,60.792,61.239,61.686,62.133,62.58,63.027,63.474,63.921,64.368,64.815,65.262,65.709,66.156,66.603,67.05,67.497,67.944,68.391,68.838,69.285,69.732,70.179,70.626,71.073,71.52,71.967,72.414,72.861,73.308,73.755,74.202,74.649,75.096,75.543,75.99,76.437,76.884,77.331,77.778,78.225,78.672,79.119,79.566,80.013,80.46,80.907,81.354,81.801,82.248,82.695,83.142,83.589,84.036,84.483,84.93,85.377,85.824,86.271,86.718,87.165,87.612,88.059,88.506,88.953,89.4],
                    [0.00001,0.00001,0.00001,0.00001,0.00001,0.00002,0.00002,0.00002,0.00003,0.00003,0.00004,0.00004,0.00005,0.00005,0.00006,0.00007,0.00009,0.0001,0.00012,0.00015,0.00018,0.00022,0.00027,0.00034,0.00043,0.00054,0.00068,0.00086,0.00108,0.00134,0.00165,0.002,0.00241,0.00286,0.00335,0.0039,0.00448,0.0051,0.00576,0.00644,0.00716,0.0079,0.00868,0.00949,0.01034,0.01123,0.01216,0.01314,0.01416,0.01524,0.01638,0.01758,0.01884,0.02018,0.02159,0.02308,0.02466,0.02633,0.02809,0.02995,0.03191,0.03398,0.03616,0.03844,0.04084,0.04335,0.04598,0.04871,0.05156,0.05453,0.05762,0.06083,0.06418,0.06768,0.07132,0.07513,0.0791,0.08325,0.08759,0.09211,0.09682,0.10172,0.10681,0.11208,0.11751,0.12311,0.12886,0.13476,0.14079,0.14694,0.1532,0.15958,0.16606,0.17265,0.17932,0.18607,0.19289,0.19979,0.20675,0.21377,0.22085,0.22798,0.23515,0.24236,0.2496,0.25685,0.26411,0.27138,0.27864,0.28591,0.29318,0.30042,0.30765,0.31486,0.32207,0.3293,0.33658,0.34392,0.35136,0.35888,0.3665,0.37421,0.38199,0.38985,0.39781,0.4059,0.4141,0.4224,0.43076,0.43912,0.44744,0.45568,0.46367,0.47102,0.47754,0.48324,0.48825,0.49272,0.49678,0.50052,0.50401,0.5075,0.511,0.51449,0.51798,0.52147,0.52497,0.52846,0.53195,0.53545,0.53894,0.54243,0.54592,0.54942,0.55291,0.5564,0.55989,0.56339,0.56688,0.57037,0.57386]],

                'BUS TERMINAL':
                    [[17.88,18.327,18.774,19.221,19.668,20.115,20.562,21.009,21.456,21.903,22.35,22.797,23.244,23.691,24.138,24.585,25.032,25.479,25.926,26.373,26.82,27.267,27.714,28.161,28.608,29.055,29.502,29.949,30.396,30.843,31.29,31.737,32.184,32.631,33.078,33.525,33.972,34.419,34.866,35.313,35.76,36.207,36.654,37.101,37.548,37.995,38.442,38.889,39.336,39.783,40.23,40.677,41.124,41.571,42.018,42.465,42.912,43.359,43.806,44.253,44.7,45.147,45.594,46.041,46.488,46.935,47.382,47.829,48.276,48.723,49.17,49.617,50.064,50.511,50.958,51.405,51.852,52.299,52.746,53.193,53.64,54.087,54.534,54.981,55.428,55.875,56.322,56.769,57.216,57.663,58.11,58.557,59.004,59.451,59.898,60.345,60.792,61.239,61.686,62.133,62.58,63.027,63.474,63.921,64.368,64.815,65.262,65.709,66.156,66.603,67.05,67.497,67.944,68.391,68.838,69.285,69.732,70.179,70.626,71.073,71.52,71.967,72.414,72.861,73.308,73.755,74.202,74.649,75.096,75.543,75.99,76.437,76.884,77.331,77.778,78.225,78.672,79.119,79.566,80.013,80.46,80.907,81.354,81.801,82.248,82.695,83.142,83.589,84.036,84.483,84.93,85.377,85.824,86.271,86.718,87.165,87.612,88.059,88.506,88.953,89.4],
                    [0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0]],
                    
                'AIRPORT':
                    [[17.88,18.327,18.774,19.221,19.668,20.115,20.562,21.009,21.456,21.903,22.35,22.797,23.244,23.691,24.138,24.585,25.032,25.479,25.926,26.373,26.82,27.267,27.714,28.161,28.608,29.055,29.502,29.949,30.396,30.843,31.29,31.737,32.184,32.631,33.078,33.525,33.972,34.419,34.866,35.313,35.76,36.207,36.654,37.101,37.548,37.995,38.442,38.889,39.336,39.783,40.23,40.677,41.124,41.571,42.018,42.465,42.912,43.359,43.806,44.253,44.7,45.147,45.594,46.041,46.488,46.935,47.382,47.829,48.276,48.723,49.17,49.617,50.064,50.511,50.958,51.405,51.852,52.299,52.746,53.193,53.64,54.087,54.534,54.981,55.428,55.875,56.322,56.769,57.216,57.663,58.11,58.557,59.004,59.451,59.898,60.345,60.792,61.239,61.686,62.133,62.58,63.027,63.474,63.921,64.368,64.815,65.262,65.709,66.156,66.603,67.05,67.497,67.944,68.391,68.838,69.285,69.732,70.179,70.626,71.073,71.52,71.967,72.414,72.861,73.308,73.755,74.202,74.649,75.096,75.543,75.99,76.437,76.884,77.331,77.778,78.225,78.672,79.119,79.566,80.013,80.46,80.907,81.354,81.801,82.248,82.695,83.142,83.589,84.036,84.483,84.93,85.377,85.824,86.271,86.718,87.165,87.612,88.059,88.506,88.953,89.4],
                    [0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0]],

}
                     
	dam_crops_wind = {
    
             'Squash/Taro/Cassava/Yam':
                    [[0, 13, 18, 22, 27, 36, 45, 54, 63, 72, 89],
                    [0, 0.2, 0.25, 0.3, 0.35, 0.5, 0.6, 0.75, 0.85, 0.97, 1]],

            'Banana/Cocoa/Coconut/Coconut Crops/Coconut Plantation/Nut Tree/Oil Palm' :
                    [[0, 13, 18, 22, 27, 36, 45, 54, 63, 72, 89],
                    [0, 0.25, 0.4, 0.6, 0.85, 0.96, 1, 1, 1, 1, 1]],

            'Vanilla/Plantation/Mix Crops':
                    [[0, 13, 18, 22, 27, 36, 45, 54, 63, 72, 89],
                    [0, 0.2, 0.3, 0.5, 0.7, 0.86, 0.97, 1, 1, 1, 1]]

}
	dam_roads_flood = {
        'Roads':
        [[0,0.5, 1, 1.5, 2, 3, 4, 5, 6, 100],
        [0,0.22,0.43,0.58,0.67, 0.79, 0.89, 0.97, 1, 1]]
    }

	dam_buildings_wind = {
        
            'Single Story Timber Frame':
               [[17.88,18.327,18.774,19.221,19.668,20.115,20.562,21.009,21.456,21.903,22.35,22.797,23.244,23.691,24.138,24.585,25.032,25.479,25.926,26.373,26.82,27.267,27.714,28.161,28.608,29.055,29.502,29.949,30.396,30.843,31.29,31.737,32.184,32.631,33.078,33.525,33.972,34.419,34.866,35.313,35.76,36.207,36.654,37.101,37.548,37.995,38.442,38.889,39.336,39.783,40.23,40.677,41.124,41.571,42.018,42.465,42.912,43.359,43.806,44.253,44.7,45.147,45.594,46.041,46.488,46.935,47.382,47.829,48.276,48.723,49.17,49.617,50.064,50.511,50.958,51.405,51.852,52.299,52.746,53.193,53.64,54.087,54.534,54.981,55.428,55.875,56.322,56.769,57.216,57.663,58.11,58.557,59.004,59.451,59.898,60.345,60.792,61.239,61.686,62.133,62.58,63.027,63.474,63.921,64.368,64.815,65.262,65.709,66.156,66.603,67.05,67.497,67.944,68.391,68.838,69.285,69.732,70.179,70.626,71.073,71.52,71.967,72.414,72.861,73.308,73.755,74.202,74.649,75.096,75.543,75.99,76.437,76.884,77.331,77.778,78.225,78.672,79.119,79.566,80.013,80.46,80.907,81.354,81.801,82.248,82.695,83.142,83.589,84.036,84.483,84.93,85.377,85.824,86.271,86.718,87.165,87.612,88.059,88.506,88.953,89.4],
                [0.00085,0.00095,0.00105,0.00117,0.00129,0.00142,0.00157,0.00173,0.0019,0.00209,0.0023,0.00252,0.00276,0.00304,0.00332,0.00364,0.00397,0.00433,0.00472,0.00515,0.00557,0.00599,0.00644,0.00693,0.00744,0.00798,0.00855,0.00915,0.00978,0.01045,0.01115,0.01179,0.01247,0.01317,0.01393,0.01475,0.01573,0.01697,0.01842,0.01996,0.02162,0.02341,0.02533,0.0274,0.02961,0.03199,0.03454,0.03727,0.04019,0.04332,0.04667,0.05026,0.05409,0.05819,0.06256,0.06723,0.07221,0.07753,0.08319,0.08898,0.09611,0.10377,0.11198,0.1208,0.13025,0.14038,0.15124,0.16288,0.17535,0.18869,0.20298,0.21826,0.2346,0.25207,0.27209,0.29418,0.31794,0.3435,0.37099,0.40052,0.43229,0.45735,0.47761,0.49718,0.5161,0.53442,0.55218,0.56943,0.58621,0.60256,0.61851,0.6341,0.64933,0.6642,0.67871,0.69283,0.7064,0.71963,0.73253,0.7451,0.75737,0.76936,0.78107,0.79254,0.8038,0.81486,0.82574,0.83645,0.84703,0.85748,0.86782,0.87806,0.88821,0.89827,0.90823,0.91811,0.9279,0.9376,0.9472,0.9567,0.96624,0.97584,0.98549,0.99519,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1]],

            'Multi-Story Timber Frame with Closed-Under/Multi-Story Timber Frame with Open-Under':
            [[17.88,18.327,18.774,19.221,19.668,20.115,20.562,21.009,21.456,21.903,22.35,22.797,23.244,23.691,24.138,24.585,25.032,25.479,25.926,26.373,26.82,27.267,27.714,28.161,28.608,29.055,29.502,29.949,30.396,30.843,31.29,31.737,32.184,32.631,33.078,33.525,33.972,34.419,34.866,35.313,35.76,36.207,36.654,37.101,37.548,37.995,38.442,38.889,39.336,39.783,40.23,40.677,41.124,41.571,42.018,42.465,42.912,43.359,43.806,44.253,44.7,45.147,45.594,46.041,46.488,46.935,47.382,47.829,48.276,48.723,49.17,49.617,50.064,50.511,50.958,51.405,51.852,52.299,52.746,53.193,53.64,54.087,54.534,54.981,55.428,55.875,56.322,56.769,57.216,57.663,58.11,58.557,59.004,59.451,59.898,60.345,60.792,61.239,61.686,62.133,62.58,63.027,63.474,63.921,64.368,64.815,65.262,65.709,66.156,66.603,67.05,67.497,67.944,68.391,68.838,69.285,69.732,70.179,70.626,71.073,71.52,71.967,72.414,72.861,73.308,73.755,74.202,74.649,75.096,75.543,75.99,76.437,76.884,77.331,77.778,78.225,78.672,79.119,79.566,80.013,80.46,80.907,81.354,81.801,82.248,82.695,83.142,83.589,84.036,84.483,84.93,85.377,85.824,86.271,86.718,87.165,87.612,88.059,88.506,88.953,89.4],
               [0.00022,0.00026,0.0003,0.00034,0.00039,0.00044,0.0005,0.00057,0.00064,0.00072,0.0008,0.00089,0.00099,0.0011,0.00122,0.00135,0.0015,0.00166,0.00183,0.00202,0.00224,0.00246,0.00269,0.00299,0.00327,0.00359,0.00391,0.00426,0.00464,0.00509,0.00551,0.00589,0.00634,0.00681,0.0073,0.00781,0.00834,0.00889,0.00946,0.01006,0.01068,0.01136,0.01207,0.01283,0.01369,0.0145,0.01546,0.01667,0.0181,0.01961,0.02124,0.023,0.02489,0.02692,0.0291,0.03143,0.03394,0.03662,0.03949,0.04257,0.04587,0.04939,0.05315,0.05718,0.06147,0.06606,0.07096,0.07617,0.08172,0.08738,0.09434,0.1018,0.10979,0.11837,0.12758,0.13748,0.14812,0.15955,0.17183,0.18504,0.19923,0.21446,0.23077,0.2482,0.26811,0.28999,0.31343,0.33849,0.36527,0.39383,0.4243,0.44789,0.46659,0.48455,0.50194,0.5189,0.5356,0.55218,0.56877,0.5855,0.60249,0.61982,0.63736,0.65495,0.67246,0.68942,0.70385,0.71787,0.73146,0.74464,0.75737,0.76968,0.7816,0.79318,0.80445,0.81546,0.82625,0.83684,0.84728,0.8576,0.86782,0.87798,0.88808,0.89811,0.90808,0.91797,0.92779,0.93752,0.94716,0.95669,0.96626,0.97601,0.98581,0.99566,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1]],

            'Single Story Masonry/Concrete':
        
[[17.88,18.327,18.774,19.221,19.668,20.115,20.562,21.009,21.456,21.903,22.35,22.797,23.244,23.691,24.138,24.585,25.032,25.479,25.926,26.373,26.82,27.267,27.714,28.161,28.608,29.055,29.502,29.949,30.396,30.843,31.29,31.737,32.184,32.631,33.078,33.525,33.972,34.419,34.866,35.313,35.76,36.207,36.654,37.101,37.548,37.995,38.442,38.889,39.336,39.783,40.23,40.677,41.124,41.571,42.018,42.465,42.912,43.359,43.806,44.253,44.7,45.147,45.594,46.041,46.488,46.935,47.382,47.829,48.276,48.723,49.17,49.617,50.064,50.511,50.958,51.405,51.852,52.299,52.746,53.193,53.64,54.087,54.534,54.981,55.428,55.875,56.322,56.769,57.216,57.663,58.11,58.557,59.004,59.451,59.898,60.345,60.792,61.239,61.686,62.133,62.58,63.027,63.474,63.921,64.368,64.815,65.262,65.709,66.156,66.603,67.05,67.497,67.944,68.391,68.838,69.285,69.732,70.179,70.626,71.073,71.52,71.967,72.414,72.861,73.308,73.755,74.202,74.649,75.096,75.543,75.99,76.437,76.884,77.331,77.778,78.225,78.672,79.119,79.566,80.013,80.46,80.907,81.354,81.801,82.248,82.695,83.142,83.589,84.036,84.483,84.93,85.377,85.824,86.271,86.718,87.165,87.612,88.059,88.506,88.953,89.4],
                [0.00011,0.00013,0.00015,0.00018,0.00021,0.00024,0.00027,0.00031,0.00035,0.0004,0.00045,0.0005,0.00057,0.00063,0.0007,0.00078,0.00087,0.00096,0.00106,0.00116,0.00128,0.0014,0.00154,0.00169,0.00185,0.00203,0.00222,0.00243,0.00266,0.00291,0.00317,0.00346,0.00377,0.00406,0.00438,0.00472,0.00507,0.00545,0.00585,0.00628,0.00673,0.0072,0.0077,0.00823,0.00869,0.00916,0.00973,0.01045,0.01109,0.01183,0.01275,0.01382,0.01497,0.0162,0.01753,0.01896,0.02049,0.02215,0.02392,0.02583,0.02788,0.03008,0.03244,0.03497,0.03768,0.04058,0.04367,0.04697,0.05047,0.0542,0.05816,0.06236,0.06643,0.07124,0.07672,0.08203,0.08805,0.09422,0.10077,0.10714,0.11455,0.12181,0.12955,0.13784,0.14669,0.15612,0.16611,0.17754,0.19003,0.20325,0.21722,0.23195,0.24746,0.26377,0.27875,0.29299,0.30761,0.3226,0.33818,0.35448,0.37166,0.38983,0.40916,0.42978,0.45179,0.47499,0.49915,0.52181,0.54248,0.56264,0.57981,0.59773,0.61525,0.6318,0.64897,0.66511,0.68071,0.69574,0.71015,0.72391,0.73698,0.7493,0.76129,0.7732,0.78504,0.79682,0.80859,0.82035,0.8321,0.84385,0.85558,0.86732,0.87904,0.89069,0.90196,0.9132,0.92256,0.93004,0.93738,0.9446,0.9489,0.95264,0.95615,0.95828,0.95992,0.96149,0.96304,0.96453,0.96596,0.96732,0.96871,0.97003,0.97128,0.97243,0.97358,0.97473,0.97589,0.97704,0.97819,0.97934,0.98049]],

            'Multi-Story Masonry/Concrete' :
                [[17.88,18.327,18.774,19.221,19.668,20.115,20.562,21.009,21.456,21.903,22.35,22.797,23.244,23.691,24.138,24.585,25.032,25.479,25.926,26.373,26.82,27.267,27.714,28.161,28.608,29.055,29.502,29.949,30.396,30.843,31.29,31.737,32.184,32.631,33.078,33.525,33.972,34.419,34.866,35.313,35.76,36.207,36.654,37.101,37.548,37.995,38.442,38.889,39.336,39.783,40.23,40.677,41.124,41.571,42.018,42.465,42.912,43.359,43.806,44.253,44.7,45.147,45.594,46.041,46.488,46.935,47.382,47.829,48.276,48.723,49.17,49.617,50.064,50.511,50.958,51.405,51.852,52.299,52.746,53.193,53.64,54.087,54.534,54.981,55.428,55.875,56.322,56.769,57.216,57.663,58.11,58.557,59.004,59.451,59.898,60.345,60.792,61.239,61.686,62.133,62.58,63.027,63.474,63.921,64.368,64.815,65.262,65.709,66.156,66.603,67.05,67.497,67.944,68.391,68.838,69.285,69.732,70.179,70.626,71.073,71.52,71.967,72.414,72.861,73.308,73.755,74.202,74.649,75.096,75.543,75.99,76.437,76.884,77.331,77.778,78.225,78.672,79.119,79.566,80.013,80.46,80.907,81.354,81.801,82.248,82.695,83.142,83.589,84.036,84.483,84.93,85.377,85.824,86.271,86.718,87.165,87.612,88.059,88.506,88.953,89.4],
               [0.00033,0.00038,0.00042,0.00048,0.00053,0.00059,0.00066,0.00074,0.00082,0.0009,0.001,0.00111,0.00122,0.00135,0.00149,0.00164,0.0018,0.00197,0.00216,0.00236,0.00256,0.00278,0.00301,0.00326,0.00353,0.00381,0.00412,0.00445,0.0048,0.00517,0.00556,0.00596,0.00638,0.0068,0.00724,0.00773,0.00827,0.00891,0.00962,0.01038,0.01119,0.01206,0.01299,0.01398,0.01496,0.01601,0.01717,0.0185,0.01982,0.02128,0.02293,0.02475,0.0267,0.02879,0.03104,0.03344,0.03601,0.03876,0.0417,0.04478,0.04835,0.05219,0.0563,0.06072,0.06545,0.07052,0.07594,0.08174,0.08794,0.09455,0.1016,0.10913,0.11688,0.12549,0.13533,0.14568,0.15702,0.16901,0.18184,0.19516,0.20987,0.22247,0.23397,0.24564,0.25752,0.26961,0.28193,0.29511,0.30888,0.32304,0.33761,0.3526,0.36802,0.3839,0.39873,0.41294,0.42725,0.44171,0.45648,0.47167,0.48737,0.50369,0.52073,0.53861,0.55739,0.57695,0.59712,0.6162,0.63385,0.65109,0.66622,0.68183,0.69713,0.71174,0.72675,0.74101,0.75487,0.7683,0.78127,0.79375,0.80576,0.81727,0.82855,0.8398,0.84953,0.85778,0.86601,0.87425,0.88247,0.89069,0.89891,0.90712,0.91533,0.92348,0.93137,0.93924,0.94579,0.95102,0.95617,0.96122,0.96423,0.96685,0.9693,0.9708,0.97194,0.97304,0.97413,0.97517,0.97617,0.97713,0.97809,0.97902,0.9799,0.9807,0.98151,0.98231,0.98312,0.98393,0.98473,0.98554,0.98634]],

            'Multi-Story Steel Frame/Open Walled Structure with Non-Wooden Pole Frame':
                [[17.88,18.327,18.774,19.221,19.668,20.115,20.562,21.009,21.456,21.903,22.35,22.797,23.244,23.691,24.138,24.585,25.032,25.479,25.926,26.373,26.82,27.267,27.714,28.161,28.608,29.055,29.502,29.949,30.396,30.843,31.29,31.737,32.184,32.631,33.078,33.525,33.972,34.419,34.866,35.313,35.76,36.207,36.654,37.101,37.548,37.995,38.442,38.889,39.336,39.783,40.23,40.677,41.124,41.571,42.018,42.465,42.912,43.359,43.806,44.253,44.7,45.147,45.594,46.041,46.488,46.935,47.382,47.829,48.276,48.723,49.17,49.617,50.064,50.511,50.958,51.405,51.852,52.299,52.746,53.193,53.64,54.087,54.534,54.981,55.428,55.875,56.322,56.769,57.216,57.663,58.11,58.557,59.004,59.451,59.898,60.345,60.792,61.239,61.686,62.133,62.58,63.027,63.474,63.921,64.368,64.815,65.262,65.709,66.156,66.603,67.05,67.497,67.944,68.391,68.838,69.285,69.732,70.179,70.626,71.073,71.52,71.967,72.414,72.861,73.308,73.755,74.202,74.649,75.096,75.543,75.99,76.437,76.884,77.331,77.778,78.225,78.672,79.119,79.566,80.013,80.46,80.907,81.354,81.801,82.248,82.695,83.142,83.589,84.036,84.483,84.93,85.377,85.824,86.271,86.718,87.165,87.612,88.059,88.506,88.953,89.4],
               [0.00014,0.00016,0.00019,0.00022,0.00026,0.0003,0.00035,0.0004,0.00045,0.00052,0.00059,0.00066,0.00075,0.00084,0.00094,0.00105,0.00117,0.0013,0.00144,0.00159,0.00176,0.00193,0.00212,0.00233,0.00256,0.00281,0.00308,0.00338,0.0037,0.00405,0.00443,0.00484,0.00528,0.00576,0.00627,0.00676,0.00729,0.00785,0.00844,0.00908,0.00974,0.01045,0.0112,0.01199,0.01282,0.0137,0.01462,0.01559,0.01661,0.01769,0.01893,0.02018,0.02176,0.02362,0.02561,0.02773,0.03003,0.0325,0.03515,0.03799,0.04104,0.04431,0.04781,0.05156,0.05558,0.05988,0.06447,0.06939,0.07464,0.08025,0.08624,0.09263,0.09945,0.10672,0.11416,0.12331,0.13314,0.14369,0.15501,0.16714,0.18015,0.19409,0.20901,0.225,0.24211,0.26041,0.27999,0.30092,0.3233,0.34894,0.37725,0.40773,0.44053,0.47581,0.51377,0.55461,0.5869,0.61304,0.63829,0.66268,0.68625,0.70903,0.73107,0.75241,0.77307,0.7931,0.81252,0.83139,0.84972,0.86818,0.88678,0.90551,0.92438,0.94338,0.96252,0.98179,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1]],
               
           'Single Story Combination Masonry/Concrete & Timber Frame' :
               [[17.88,18.327,18.774,19.221,19.668,20.115,20.562,21.009,21.456,21.903,22.35,22.797,23.244,23.691,24.138,24.585,25.032,25.479,25.926,26.373,26.82,27.267,27.714,28.161,28.608,29.055,29.502,29.949,30.396,30.843,31.29,31.737,32.184,32.631,33.078,33.525,33.972,34.419,34.866,35.313,35.76,36.207,36.654,37.101,37.548,37.995,38.442,38.889,39.336,39.783,40.23,40.677,41.124,41.571,42.018,42.465,42.912,43.359,43.806,44.253,44.7,45.147,45.594,46.041,46.488,46.935,47.382,47.829,48.276,48.723,49.17,49.617,50.064,50.511,50.958,51.405,51.852,52.299,52.746,53.193,53.64,54.087,54.534,54.981,55.428,55.875,56.322,56.769,57.216,57.663,58.11,58.557,59.004,59.451,59.898,60.345,60.792,61.239,61.686,62.133,62.58,63.027,63.474,63.921,64.368,64.815,65.262,65.709,66.156,66.603,67.05,67.497,67.944,68.391,68.838,69.285,69.732,70.179,70.626,71.073,71.52,71.967,72.414,72.861,73.308,73.755,74.202,74.649,75.096,75.543,75.99,76.437,76.884,77.331,77.778,78.225,78.672,79.119,79.566,80.013,80.46,80.907,81.354,81.801,82.248,82.695,83.142,83.589,84.036,84.483,84.93,85.377,85.824,86.271,86.718,87.165,87.612,88.059,88.506,88.953,89.4],
               [0.00033,0.00038,0.00042,0.00048,0.00053,0.00059,0.00066,0.00074,0.00082,0.0009,0.001,0.00111,0.00122,0.00135,0.00149,0.00164,0.0018,0.00197,0.00216,0.00236,0.00256,0.00278,0.00301,0.00326,0.00353,0.00381,0.00412,0.00445,0.0048,0.00517,0.00556,0.00596,0.00638,0.0068,0.00724,0.00773,0.00827,0.00891,0.00962,0.01038,0.01119,0.01206,0.01299,0.01398,0.01496,0.01601,0.01717,0.0185,0.01982,0.02128,0.02293,0.02475,0.0267,0.02879,0.03104,0.03344,0.03601,0.03876,0.0417,0.04478,0.04835,0.05219,0.0563,0.06072,0.06545,0.07052,0.07594,0.08174,0.08794,0.09455,0.1016,0.10913,0.11688,0.12549,0.13533,0.14568,0.15702,0.16901,0.18184,0.19516,0.20987,0.22247,0.23397,0.24564,0.25752,0.26961,0.28193,0.29511,0.30888,0.32304,0.33761,0.3526,0.36802,0.3839,0.39873,0.41294,0.42725,0.44171,0.45648,0.47167,0.48737,0.50369,0.52073,0.53861,0.55739,0.57695,0.59712,0.6162,0.63385,0.65109,0.66622,0.68183,0.69713,0.71174,0.72675,0.74101,0.75487,0.7683,0.78127,0.79375,0.80576,0.81727,0.82855,0.8398,0.84953,0.85778,0.86601,0.87425,0.88247,0.89069,0.89891,0.90712,0.91533,0.92348,0.93137,0.93924,0.94579,0.95102,0.95617,0.96122,0.96423,0.96685,0.9693,0.9708,0.97194,0.97304,0.97413,0.97517,0.97617,0.97713,0.97809,0.97902,0.9799,0.9807,0.98151,0.98231,0.98312,0.98393,0.98473,0.98554,0.98634]],
              
            'Single Story Steel Frame/Multi-Story Combination Masonry/Concrete & Timber Frame':
               [[17.88,18.327,18.774,19.221,19.668,20.115,20.562,21.009,21.456,21.903,22.35,22.797,23.244,23.691,24.138,24.585,25.032,25.479,25.926,26.373,26.82,27.267,27.714,28.161,28.608,29.055,29.502,29.949,30.396,30.843,31.29,31.737,32.184,32.631,33.078,33.525,33.972,34.419,34.866,35.313,35.76,36.207,36.654,37.101,37.548,37.995,38.442,38.889,39.336,39.783,40.23,40.677,41.124,41.571,42.018,42.465,42.912,43.359,43.806,44.253,44.7,45.147,45.594,46.041,46.488,46.935,47.382,47.829,48.276,48.723,49.17,49.617,50.064,50.511,50.958,51.405,51.852,52.299,52.746,53.193,53.64,54.087,54.534,54.981,55.428,55.875,56.322,56.769,57.216,57.663,58.11,58.557,59.004,59.451,59.898,60.345,60.792,61.239,61.686,62.133,62.58,63.027,63.474,63.921,64.368,64.815,65.262,65.709,66.156,66.603,67.05,67.497,67.944,68.391,68.838,69.285,69.732,70.179,70.626,71.073,71.52,71.967,72.414,72.861,73.308,73.755,74.202,74.649,75.096,75.543,75.99,76.437,76.884,77.331,77.778,78.225,78.672,79.119,79.566,80.013,80.46,80.907,81.354,81.801,82.248,82.695,83.142,83.589,84.036,84.483,84.93,85.377,85.824,86.271,86.718,87.165,87.612,88.059,88.506,88.953,89.4],
              [0.00004,0.00006,0.00007,0.00009,0.00011,0.00014,0.00016,0.00019,0.00022,0.00026,0.0003,0.00035,0.0004,0.00045,0.00052,0.00059,0.00066,0.00075,0.00084,0.00094,0.00105,0.00117,0.0013,0.00144,0.00159,0.00176,0.00193,0.00212,0.00233,0.00256,0.00281,0.00308,0.00338,0.0037,0.00405,0.00443,0.00484,0.00528,0.00576,0.00627,0.00676,0.00729,0.00785,0.00844,0.00908,0.00974,0.01045,0.0112,0.01199,0.01282,0.0137,0.01462,0.01559,0.01661,0.01769,0.01893,0.02018,0.02176,0.02362,0.02561,0.02773,0.03003,0.0325,0.03515,0.03799,0.04104,0.04431,0.04781,0.05156,0.05558,0.05988,0.06447,0.06939,0.07464,0.08025,0.08624,0.09263,0.09945,0.10672,0.11416,0.12331,0.13314,0.14369,0.15501,0.16714,0.18015,0.19409,0.20901,0.225,0.24211,0.26041,0.27999,0.30092,0.3233,0.34894,0.37725,0.40773,0.44053,0.47581,0.51377,0.55461,0.5869,0.61304,0.63829,0.66268,0.68625,0.70903,0.73107,0.75241,0.77307,0.7931,0.81252,0.83139,0.84972,0.86818,0.88678,0.90551,0.92438,0.94338,0.96252,0.98179,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1]],
            

            'Traditional/Other Single Story':
                [[17.88,18.327,18.774,19.221,19.668,20.115,20.562,21.009,21.456,21.903,22.35,22.797,23.244,23.691,24.138,24.585,25.032,25.479,25.926,26.373,26.82,27.267,27.714,28.161,28.608,29.055,29.502,29.949,30.396,30.843,31.29,31.737,32.184,32.631,33.078,33.525,33.972,34.419,34.866,35.313,35.76,36.207,36.654,37.101,37.548,37.995,38.442,38.889,39.336,39.783,40.23,40.677,41.124,41.571,42.018,42.465,42.912,43.359,43.806,44.253,44.7,45.147,45.594,46.041,46.488,46.935,47.382,47.829,48.276,48.723,49.17,49.617,50.064,50.511,50.958,51.405,51.852,52.299,52.746,53.193,53.64,54.087,54.534,54.981,55.428,55.875,56.322,56.769,57.216,57.663,58.11,58.557,59.004,59.451,59.898,60.345,60.792,61.239,61.686,62.133,62.58,63.027,63.474,63.921,64.368,64.815,65.262,65.709,66.156,66.603,67.05,67.497,67.944,68.391,68.838,69.285,69.732,70.179,70.626,71.073,71.52,71.967,72.414,72.861,73.308,73.755,74.202,74.649,75.096,75.543,75.99,76.437,76.884,77.331,77.778,78.225,78.672,79.119,79.566,80.013,80.46,80.907,81.354,81.801,82.248,82.695,83.142,83.589,84.036,84.483,84.93,85.377,85.824,86.271,86.718,87.165,87.612,88.059,88.506,88.953,89.4],
               [0.00026,0.00029,0.00033,0.00038,0.00042,0.00048,0.00053,0.00059,0.00066,0.00074,0.00082,0.00091,0.001,0.00111,0.00123,0.00135,0.00149,0.00163,0.00179,0.00196,0.00213,0.00232,0.00252,0.00274,0.00297,0.00322,0.00349,0.00378,0.00408,0.00442,0.00477,0.00513,0.00551,0.00589,0.00629,0.00672,0.0072,0.00776,0.00837,0.00901,0.0097,0.01044,0.01123,0.01206,0.01287,0.01373,0.01469,0.01582,0.01691,0.01813,0.01953,0.02111,0.02279,0.0246,0.02653,0.02861,0.03084,0.03322,0.03578,0.03846,0.04153,0.04482,0.04835,0.05214,0.0562,0.06054,0.06519,0.07015,0.07545,0.0811,0.08712,0.09354,0.10006,0.1074,0.11579,0.12446,0.13403,0.14408,0.15481,0.16582,0.1781,0.18892,0.19917,0.20971,0.22057,0.23178,0.24332,0.25592,0.26927,0.28311,0.29748,0.31238,0.32784,0.34386,0.35874,0.37296,0.38737,0.40201,0.41705,0.43261,0.4488,0.46574,0.48354,0.50234,0.52219,0.54296,0.56446,0.58474,0.60339,0.62161,0.63741,0.65379,0.66984,0.68509,0.70082,0.71571,0.73015,0.74411,0.75756,0.77047,0.78283,0.79461,0.80613,0.8176,0.82803,0.83746,0.84687,0.85628,0.86568,0.87508,0.88447,0.89385,0.90324,0.91255,0.92157,0.93056,0.93805,0.94403,0.94991,0.95568,0.95912,0.96212,0.96492,0.96662,0.96794,0.96919,0.97043,0.97162,0.97277,0.97386,0.97497,0.97603,0.97703,0.97795,0.97887,0.97979,0.98071,0.98163,0.98255,0.98347,0.98439]],
               

            'Other Multi-Story':
               [[17.88,18.327,18.774,19.221,19.668,20.115,20.562,21.009,21.456,21.903,22.35,22.797,23.244,23.691,24.138,24.585,25.032,25.479,25.926,26.373,26.82,27.267,27.714,28.161,28.608,29.055,29.502,29.949,30.396,30.843,31.29,31.737,32.184,32.631,33.078,33.525,33.972,34.419,34.866,35.313,35.76,36.207,36.654,37.101,37.548,37.995,38.442,38.889,39.336,39.783,40.23,40.677,41.124,41.571,42.018,42.465,42.912,43.359,43.806,44.253,44.7,45.147,45.594,46.041,46.488,46.935,47.382,47.829,48.276,48.723,49.17,49.617,50.064,50.511,50.958,51.405,51.852,52.299,52.746,53.193,53.64,54.087,54.534,54.981,55.428,55.875,56.322,56.769,57.216,57.663,58.11,58.557,59.004,59.451,59.898,60.345,60.792,61.239,61.686,62.133,62.58,63.027,63.474,63.921,64.368,64.815,65.262,65.709,66.156,66.603,67.05,67.497,67.944,68.391,68.838,69.285,69.732,70.179,70.626,71.073,71.52,71.967,72.414,72.861,73.308,73.755,74.202,74.649,75.096,75.543,75.99,76.437,76.884,77.331,77.778,78.225,78.672,79.119,79.566,80.013,80.46,80.907,81.354,81.801,82.248,82.695,83.142,83.589,84.036,84.483,84.93,85.377,85.824,86.271,86.718,87.165,87.612,88.059,88.506,88.953,89.4],
                [0.00023,0.00025,0.00028,0.00031,0.00035,0.00038,0.00043,0.00047,0.00052,0.00057,0.00063,0.0007,0.00077,0.00085,0.00093,0.00102,0.00112,0.00123,0.00134,0.00147,0.00159,0.00172,0.00186,0.00202,0.00218,0.00236,0.00255,0.00275,0.00297,0.0032,0.00345,0.00369,0.00394,0.00421,0.00449,0.0048,0.00514,0.00556,0.00603,0.00653,0.00708,0.00767,0.00831,0.009,0.00975,0.01055,0.01143,0.01237,0.01339,0.01447,0.01563,0.01687,0.01818,0.01957,0.02104,0.02261,0.02427,0.02603,0.02789,0.02981,0.03209,0.03455,0.0372,0.04005,0.04313,0.04645,0.05002,0.05387,0.05799,0.06239,0.06705,0.07199,0.07721,0.0827,0.08882,0.09536,0.10251,0.11007,0.11809,0.12661,0.13567,0.14306,0.14926,0.1553,0.16122,0.16701,0.17272,0.17835,0.18392,0.18944,0.19512,0.20087,0.20663,0.21238,0.21813,0.22388,0.22959,0.23533,0.24111,0.24698,0.25297,0.25913,0.26548,0.27208,0.27896,0.28616,0.29373,0.3017,0.31004,0.31872,0.3277,0.33694,0.34641,0.35606,0.36584,0.37572,0.38564,0.39558,0.40557,0.41568,0.42598,0.43654,0.44742,0.45868,0.46915,0.4789,0.48921,0.5001,0.51151,0.52332,0.53543,0.54773,0.56011,0.57246,0.58466,0.5966,0.60815,0.61923,0.62984,0.64002,0.64979,0.65921,0.66829,0.67708,0.68562,0.69395,0.7021,0.71011,0.71799,0.72578,0.73348,0.74111,0.74869,0.75624,0.76377,0.77131,0.77887,0.78643,0.794,0.80156,0.80912]],
               

           'Uninhabitable or Poor Construction':
               [[17.88,18.327,18.774,19.221,19.668,20.115,20.562,21.009,21.456,21.903,22.35,22.797,23.244,23.691,24.138,24.585,25.032,25.479,25.926,26.373,26.82,27.267,27.714,28.161,28.608,29.055,29.502,29.949,30.396,30.843,31.29,31.737,32.184,32.631,33.078,33.525,33.972,34.419,34.866,35.313,35.76,36.207,36.654,37.101,37.548,37.995,38.442,38.889,39.336,39.783,40.23,40.677,41.124,41.571,42.018,42.465,42.912,43.359,43.806,44.253,44.7,45.147,45.594,46.041,46.488,46.935,47.382,47.829,48.276,48.723,49.17,49.617,50.064,50.511,50.958,51.405,51.852,52.299,52.746,53.193,53.64,54.087,54.534,54.981,55.428,55.875,56.322,56.769,57.216,57.663,58.11,58.557,59.004,59.451,59.898,60.345,60.792,61.239,61.686,62.133,62.58,63.027,63.474,63.921,64.368,64.815,65.262,65.709,66.156,66.603,67.05,67.497,67.944,68.391,68.838,69.285,69.732,70.179,70.626,71.073,71.52,71.967,72.414,72.861,73.308,73.755,74.202,74.649,75.096,75.543,75.99,76.437,76.884,77.331,77.778,78.225,78.672,79.119,79.566,80.013,80.46,80.907,81.354,81.801,82.248,82.695,83.142,83.589,84.036,84.483,84.93,85.377,85.824,86.271,86.718,87.165,87.612,88.059,88.506,88.953,89.4],
                [0.00157,0.00173,0.0019,0.00209,0.0023,0.00252,0.00276,0.00304,0.00332,0.00364,0.00397,0.00433,0.00472,0.00515,0.00557,0.00599,0.00644,0.00693,0.00744,0.00798,0.00855,0.00915,0.00978,0.01045,0.01115,0.01179,0.01247,0.01317,0.01393,0.01475,0.01573,0.01697,0.01842,0.01996,0.02162,0.02341,0.02533,0.0274,0.02961,0.03199,0.03454,0.03727,0.04019,0.04332,0.04667,0.05026,0.05409,0.05819,0.06256,0.06723,0.07221,0.07753,0.08319,0.08898,0.09611,0.10377,0.11198,0.1208,0.13025,0.14038,0.15124,0.16288,0.17535,0.18869,0.20298,0.21826,0.2346,0.25207,0.27209,0.29418,0.31794,0.3435,0.37099,0.40052,0.43229,0.45735,0.47761,0.49718,0.5161,0.53442,0.55218,0.56943,0.58621,0.60256,0.61851,0.6341,0.64933,0.6642,0.67871,0.69283,0.7064,0.71963,0.73253,0.7451,0.75737,0.76936,0.78107,0.79254,0.8038,0.81486,0.82574,0.83645,0.84703,0.85748,0.86782,0.87806,0.88821,0.89827,0.90823,0.91811,0.9279,0.9376,0.9472,0.9567,0.96624,0.97584,0.98549,0.99519,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1]],
                

            'Open Walled Structure with Wooden Pole Frame (Fale)':
               [[17.88,18.327,18.774,19.221,19.668,20.115,20.562,21.009,21.456,21.903,22.35,22.797,23.244,23.691,24.138,24.585,25.032,25.479,25.926,26.373,26.82,27.267,27.714,28.161,28.608,29.055,29.502,29.949,30.396,30.843,31.29,31.737,32.184,32.631,33.078,33.525,33.972,34.419,34.866,35.313,35.76,36.207,36.654,37.101,37.548,37.995,38.442,38.889,39.336,39.783,40.23,40.677,41.124,41.571,42.018,42.465,42.912,43.359,43.806,44.253,44.7,45.147,45.594,46.041,46.488,46.935,47.382,47.829,48.276,48.723,49.17,49.617,50.064,50.511,50.958,51.405,51.852,52.299,52.746,53.193,53.64,54.087,54.534,54.981,55.428,55.875,56.322,56.769,57.216,57.663,58.11,58.557,59.004,59.451,59.898,60.345,60.792,61.239,61.686,62.133,62.58,63.027,63.474,63.921,64.368,64.815,65.262,65.709,66.156,66.603,67.05,67.497,67.944,68.391,68.838,69.285,69.732,70.179,70.626,71.073,71.52,71.967,72.414,72.861,73.308,73.755,74.202,74.649,75.096,75.543,75.99,76.437,76.884,77.331,77.778,78.225,78.672,79.119,79.566,80.013,80.46,80.907,81.354,81.801,82.248,82.695,83.142,83.589,84.036,84.483,84.93,85.377,85.824,86.271,86.718,87.165,87.612,88.059,88.506,88.953,89.4],
                [0.00201,0.0023,0.00262,0.00297,0.00337,0.0038,0.00427,0.00479,0.00535,0.00596,0.00662,0.00734,0.00812,0.00896,0.00988,0.01088,0.01195,0.01313,0.01446,0.01586,0.01736,0.0191,0.0209,0.02287,0.02499,0.02726,0.02971,0.0324,0.03501,0.03765,0.04054,0.04359,0.04681,0.05021,0.05379,0.05756,0.06154,0.06572,0.07011,0.07418,0.07843,0.08286,0.08762,0.09281,0.09894,0.10673,0.11585,0.12557,0.136,0.152,0.168,0.176,0.192,0.216,0.232,0.256,0.28,0.304,0.328,0.36,0.392,0.424,0.464,0.504,0.544,0.592,0.6318,0.64897,0.66511,0.68071,0.69574,0.71015,0.72391,0.73698,0.7493,0.76129,0.7732,0.78504,0.79682,0.80859,0.82035,0.8321,0.84385,0.85558,0.86732,0.87904,0.89069,0.90233,0.91398,0.92562,0.93726,0.94891,0.96055,0.97219,0.98384,0.99548,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1]],

}
    
    
	return(dam_buildings_flood, dam_roads_flood, dam_crops_flood, dam_specials_flood, dam_buildings_wind, dam_crops_wind, dam_specials_wind)









    
    
